/* 

Script para validar as Regras No Temporais - rea Judiciria - e_Gesto 2o grau.

Validao da regra do quadro 1.2(LITIGIOSIDADE):
Regra 2.3 - Processos
- A contagem de registros de processo deve ser igual ao quantitativo informado.
- A contagem de registros de processo deve ser maior ou igual do que o quantitativo informado.


Desenvolvido por Lucas Aranha Barreto (lucas.barreto@trt1.jus.br)
STI - CGSP (Coordenadoria de Gesto de Sistemas e Portal)
TRT 1 Regio - RJ 
-----------------------------------------------------------------------------
*/

DECLARE
remessa NUMBER(10) := 20021; --<< PREENCHER: nmero da remessa a ser validada
lote NUMBER (2) := 1;        --<< PREENCHER: nmero do lote a ser validado
  
  /* Variveis que armazenam a quantidade de processos recebida atravs 
  do count na tabela EGT_INFO_PROCESSO para posterior comparao com o
  valor do atributo NUM_QUANTIDADE_ITEM informado na tabela EGT_INFO_ITEM*/
  qtdeProcessoIgual number(10);
  qtdeProcessoMaior number(10);
  
  /*Cursor que pega o valor do atributo NUM_QUANTIDADE_ITEM de cada item em que
    a contagem de registros de processo deve ser IGUAL ao valor do atributo 
    NUM_QUANTIDADE_ITEM da EGT_INFO_ITEM*/
  cursor qtde_igual_item is
         select NUM_ITEM, sum(NUM_QUANTIDADE_ITEM) as somaItemIgual
           from EGT_INFO_ITEM
          where NUM_REMESSA = remessa
            and NUM_LOTE = lote
            and NUM_ITEM between 2118 and 2395
            and NUM_ITEM not in
                (2125, 2155, 2188, 2189, 2305, 2306, 2307, 2308, 2311, 2312)
          group by NUM_ITEM;
  
  /*Cursor que pega o valor do atributo NUM_QUANTIDADE_ITEM de cada item em que
    a contagem de registros de processo deve ser MAIOR ou IGUAL do que o valor do atributo 
    NUM_QUANTIDADE_ITEM da EGT_INFO_ITEM*/
  cursor qtde_maior_processo is 
         select NUM_ITEM, sum(NUM_QUANTIDADE_ITEM) as somaItemMenor
           from EGT_INFO_ITEM
          where NUM_REMESSA = remessa
            and NUM_LOTE = lote
            and NUM_ITEM in (2188, 2189)
          group by NUM_ITEM;
  
  begin 
    -----------------------------------------------------------------------------------------------    
      dbms_output.put_line('Itens com diferena entre a contagem de processos e o valor do NUM_QUANTIDADE_ITEM:' || CHR (10) || CHR (10) || 'Num Item          Diferena');

-- Cursor que calcula o count na EGT_INFO_PROCESSO e compara com o valor do 
-- NUM_QUANTIDADE para cada item (cada linha do cursor corresponde a um item diferente)
      for cIgual in qtde_igual_item
        loop             
            select count(*) into qtdeProcessoIgual
            from egt_info_processo
            where NUM_ITEM = cIgual.NUM_ITEM and NUM_REMESSA = remessa and NUM_LOTE = lote;           
                        
                  if qtdeProcessoIgual <> cIgual.somaItemIgual
                  then
                     dbms_output.put_line(cIgual.NUM_ITEM ||'              '|| (qtdeProcessoIgual - cIgual.somaItemIgual));                                      
                  end if;   
        end loop;
         dbms_output.put_line('----              ----'|| CHR (10)|| CHR (10));
  
      dbms_output.put_line('Itens em que a contagem de processos no  maior ou igual do que o valor do NUM_QUANTIDADE_ITEM:' || CHR (10) || CHR (10) || 'Num Item          Diferena');

-- Cursor que calcula o count na EGT_INFO_PROCESSO e compara com o valor do 
-- NUM_QUANTIDADE para cada item (cada linha do cursor corresponde a um item diferente)
      for cMaior in qtde_maior_processo
        loop             
            select count(*) into qtdeProcessoMaior
            from egt_info_processo
            where NUM_ITEM = cMaior.NUM_ITEM and NUM_REMESSA = remessa and NUM_LOTE = lote;           
                        
                  if qtdeProcessoMaior < cMaior.somaItemMenor
                  then
                     dbms_output.put_line(cMaior.NUM_ITEM ||'              '|| (qtdeProcessoMaior - cMaior.somaItemMenor));                                      
                  end if;   
        end loop;
         dbms_output.put_line('----              ----'|| CHR (10)|| CHR (10));
  
  end;                                                                                                                                                                   

