/* 

Script para validar as Regras No Temporais - rea Judiciria - e_Gesto 2o grau.

Validao da regra do quadro 1.2(LITIGIOSIDADE):
Regra 2.4 - Classe processual


Desenvolvido por Lucas Aranha Barreto (lucas.barreto@trt1.jus.br)
STI - CGSP (Coordenadoria de Gesto de Sistemas e Portal)
TRT 1 Regio - RJ 


---------------------------------------------------------------------------------------------
Obs: Nesse script a tabela interna de processos do TRT1 (TB_PROCESSO)  referenciada. Essa 
tabela contm o atributo SQ_PROCESSO, que corresponde ao NUM_INTERNO_PROCESSO do e-Gesto. Uma
juno  feita nas tabelas TB_PROCESSO e EGT_INFO_PROCESSO atravs desses atributos 
(SQ_PROCESSO e NUM_INTERNO_PROCESSO) para o relatrio poder mostrar o nmero CNJ 
do processo (NR_PROCESSO_ATUAL da TB_PROCESSO). 

Sendo assim, o script tem que ser adaptado para funcionar na estrutura especfica do 
banco de dados de outro regional.
---------------------------------------------------------------------------------------------
*/

DECLARE
remessa NUMBER(10) := 20021; --<< PREENCHER: nmero da remessa a ser validada
lote NUMBER (2) := 1;        --<< PREENCHER: nmero do lote a ser validado

BEGIN
-----------------------------------------------------------------------------------------------
   dbms_output.put_line('Processos que no pertencem  classe de natureza de Recursos Internos:' || CHR(10) || CHR(10) ||
                        'NUM_INTERNO_PROCESSO  NUM_ITEM  TXT_SIGLA_CLASSE NR_PROCESSO_ATUAL');
                        
/*Cursor que armazena quais os processos do detalhamento do item
  que no so da classe de natureza de Recursos Internos */
   FOR resultado IN (select NUM_INTERNO_PROCESSO, TXT_SIGLA_CLASSE, NUM_ITEM, proc.NR_PROCESSO_ATUAL
                     from egt_info_processo p, egt_classe_processual c, sap.tb_processo proc
                     where NUM_INTERNO_PROCESSO = proc.SQ_PROCESSO
                     and p.NUM_ITEM in (2118, 2148, 2193, 2196, 2199) and p.NUM_CLASSE = c.NUM_CLASSE and p.NUM_REMESSA = remessa and p.NUM_LOTE = lote 
                     and c.TXT_SIGLA_CLASSE not in ('ED','AgR','Ag')) 

       LOOP
       dbms_output.put_line(resultado.NUM_INTERNO_PROCESSO || '               ' ||
                            resultado.NUM_ITEM  || '      ' ||
                            resultado.TXT_SIGLA_CLASSE || '                ' ||
                            resultado.NR_PROCESSO_ATUAL);
       END LOOP;
       dbms_output.put_line('--------------------  --------  ----------------' || CHR(10)|| CHR(10));


-----------------------------------------------------------------------------------------------
   dbms_output.put_line('Processos que no pertencem s classes de natureza Originrias e ' || CHR(10) ||
                        'de Recursos, excluda a classe Restaurao de Autos (ResAut):' || CHR(10) || CHR(10) ||
                        'NUM_INTERNO_PROCESSO  NUM_ITEM  TXT_SIGLA_CLASSE NR_PROCESSO_ATUAL');

/*Cursor que armazena quais os processos do detalhamento do item
  que no so da classes de natureza Originrias e de Recursos,
  excluda a classe Restaurao de Autos (ResAut) */
   FOR resultado IN (select NUM_INTERNO_PROCESSO, TXT_SIGLA_CLASSE, NUM_ITEM, proc.NR_PROCESSO_ATUAL
                     from egt_info_processo p, egt_classe_processual c, sap.tb_processo proc
                     where NUM_INTERNO_PROCESSO = proc.SQ_PROCESSO
                     and p.NUM_ITEM in (2139, 2140, 2141, 2142, 2230, 2232) and p.NUM_CLASSE = c.NUM_CLASSE and
                           p.NUM_REMESSA = remessa and p.NUM_LOTE = lote and 
                           c.TXT_SIGLA_CLASSE not in ('ArgInc','AACC','AR','ET','MS','HC',
                           'Oposic','Pet','CauInom','ExcImp','Protes','CC','DC','IVC','ExcSusp',
                           'CCJ','IUJ','Atent','BusApr','Cauao','CProt','Notif','Inter','Exibic',
                           'Justif','PAP','HD','MSCol','DCG','RTOrd','AIAP', 'AIRO', 'AP',
                           'RO', 'ReeNec', 'AgR', 'RM')) 

       LOOP
       dbms_output.put_line(resultado.NUM_INTERNO_PROCESSO || '               ' ||
                            resultado.NUM_ITEM  || '      ' ||
                            resultado.TXT_SIGLA_CLASSE || '                ' ||
                            resultado.NR_PROCESSO_ATUAL);
       END LOOP;
       dbms_output.put_line('--------------------  --------  ----------------' || CHR(10)|| CHR(10));
       
-----------------------------------------------------------------------------------------------
   dbms_output.put_line('Processos que no pertencem s classes de natureza Originrias, ' || CHR(10) ||
                        'de Recursos e de Recursos Internos:' || CHR(10) || CHR(10) ||
                        'NUM_INTERNO_PROCESSO  NUM_ITEM  TXT_SIGLA_CLASSE NR_PROCESSO_ATUAL');

/*Cursor que armazena quais os processos do detalhamento do item
  que no so da classes de natureza Originrias, de Recursos e de Recursos Internos
*/
   FOR resultado IN (select NUM_INTERNO_PROCESSO, TXT_SIGLA_CLASSE, NUM_ITEM, proc.NR_PROCESSO_ATUAL
                     from egt_info_processo p, egt_classe_processual c, sap.tb_processo proc
                     where NUM_INTERNO_PROCESSO = proc.SQ_PROCESSO
                     and p.NUM_ITEM in (2120, 2121, 2128, 2130, 2134, 2135, 2150, 2151, 2152, 2153,
                                          2154, 2156, 2157, 2159, 2160, 2161, 2164, 2166, 2168,
                                          2169, 2182, 2183, 2184, 2186, 2187, 2188, 2189, 2200,
                                          2201, 2204, 2206, 2207, 2208, 2210, 2211, 2213, 2214,
                                          2216, 2217, 2222) and p.NUM_CLASSE = c.NUM_CLASSE and
                           p.NUM_REMESSA = remessa and p.NUM_LOTE = lote and 
                           c.TXT_SIGLA_CLASSE not in ('ArgInc','AACC','AR','ET','MS','HC',
                           'Oposic','Pet','CauInom','ExcImp','Protes','CC','DC','IVC','ExcSusp',
                           'CCJ','IUJ','Atent','BusApr','Cauao','CProt','Notif','Inter','Exibic',
                           'Justif','PAP','HD','MSCol','DCG','RTOrd','ResAut','AIAP', 'AIRO', 'AP',
                           'RO', 'ReeNec', 'AgR', 'RM', 'ED','AgR','Ag')) 

       LOOP
       dbms_output.put_line(resultado.NUM_INTERNO_PROCESSO || '               ' ||
                            resultado.NUM_ITEM  || '      ' ||
                            resultado.TXT_SIGLA_CLASSE || '                ' ||
                            resultado.NR_PROCESSO_ATUAL);
       END LOOP;
       dbms_output.put_line('--------------------  --------  ----------------' || CHR(10)|| CHR(10));     

-----------------------------------------------------------------------------------------------
   dbms_output.put_line('Processos que no pertencem s classes de natureza Originrias, ' || CHR(10) ||
                        'excluda a classe Restaurao de Autos (ResAut):' || CHR(10) || CHR(10) ||
                        'NUM_INTERNO_PROCESSO  NUM_ITEM  TXT_SIGLA_CLASSE NR_PROCESSO_ATUAL');

/*Cursor que armazena quais os processos do detalhamento do item
  que no so da classes de natureza Originrias,
  excluda a classe Restaurao de Autos (ResAut) */
   FOR resultado IN (select NUM_INTERNO_PROCESSO, TXT_SIGLA_CLASSE, NUM_ITEM, proc.NR_PROCESSO_ATUAL
                     from egt_info_processo p, egt_classe_processual c, sap.tb_processo proc
                     where NUM_INTERNO_PROCESSO = proc.SQ_PROCESSO
                     and p.NUM_ITEM in (2123, 2137) and p.NUM_CLASSE = c.NUM_CLASSE and
                           p.NUM_REMESSA = remessa and p.NUM_LOTE = lote and 
                           c.TXT_SIGLA_CLASSE not in ('ArgInc','AACC','AR','ET','MS','HC',
                           'Oposic','Pet','CauInom','ExcImp','Protes','CC','DC','IVC','ExcSusp',
                           'CCJ','IUJ','Atent','BusApr','Cauao','CProt','Notif','Inter','Exibic',
                           'Justif','PAP','HD','MSCol','DCG','RTOrd'))

       LOOP
       dbms_output.put_line(resultado.NUM_INTERNO_PROCESSO || '               ' ||
                            resultado.NUM_ITEM  || '      ' ||
                            resultado.TXT_SIGLA_CLASSE || '                ' ||
                            resultado.NR_PROCESSO_ATUAL);
       END LOOP;
       dbms_output.put_line('--------------------  --------  ----------------' || CHR(10)|| CHR(10));
       
-----------------------------------------------------------------------------------------------
   dbms_output.put_line('Processos que no pertencem  classe de natureza de Recursos:' || CHR(10) || CHR(10) ||
                        'NUM_INTERNO_PROCESSO  NUM_ITEM  TXT_SIGLA_CLASSE NR_PROCESSO_ATUAL');
                        
/*Cursor que armazena quais os processos do detalhamento do item
  que no so da classes de natureza de Recursos */
   FOR resultado IN (select NUM_INTERNO_PROCESSO, TXT_SIGLA_CLASSE, NUM_ITEM, proc.NR_PROCESSO_ATUAL
                     from egt_info_processo p, egt_classe_processual c, sap.tb_processo proc
                     where NUM_INTERNO_PROCESSO = proc.SQ_PROCESSO
                     and p.NUM_ITEM in (2124, 2138, 2228, 2237, 2240, 2258) and p.NUM_CLASSE = c.NUM_CLASSE and p.NUM_REMESSA = remessa and p.NUM_LOTE = lote 
                     and c.TXT_SIGLA_CLASSE not in ( 'AIAP', 'AIRO', 'AP', 'RO', 'ReeNec', 'AgR', 'RM')) 

       LOOP
       dbms_output.put_line(resultado.NUM_INTERNO_PROCESSO || '               ' ||
                            resultado.NUM_ITEM  || '      ' ||
                            resultado.TXT_SIGLA_CLASSE || '                ' ||
                            resultado.NR_PROCESSO_ATUAL);
       END LOOP;
       dbms_output.put_line('--------------------  --------  ----------------' || CHR(10)|| CHR(10));

-----------------------------------------------------------------------------------------------
   dbms_output.put_line('Processos que no pertencem s classes de natureza Originrias e ' || CHR(10) ||
                        'de Recursos:' || CHR(10) || CHR(10) ||
                        'NUM_INTERNO_PROCESSO  NUM_ITEM  TXT_SIGLA_CLASSE NR_PROCESSO_ATUAL');

/*Cursor que armazena quais os processos do detalhamento do item
  que no so das classes de natureza Originrias e de Recursos
*/
   FOR resultado IN (select NUM_INTERNO_PROCESSO, TXT_SIGLA_CLASSE, NUM_ITEM, proc.NR_PROCESSO_ATUAL
                     from egt_info_processo p, egt_classe_processual c, sap.tb_processo proc
                     where NUM_INTERNO_PROCESSO = proc.SQ_PROCESSO
                     and p.NUM_ITEM in (2132, 2145, 2147, 2172, 2174, 2175, 2176, 2177, 2179, 2180,
                                        2192, 2195, 2198, 2220, 2224, 2234, 2241, 2243, 2245, 2247) and p.NUM_CLASSE = c.NUM_CLASSE and
                           p.NUM_REMESSA = remessa and p.NUM_LOTE = lote and 
                           c.TXT_SIGLA_CLASSE not in ('ArgInc','AACC','AR','ET','MS','HC',
                           'Oposic','Pet','CauInom','ExcImp','Protes','CC','DC','IVC','ExcSusp',
                           'CCJ','IUJ','Atent','BusApr','Cauao','CProt','Notif','Inter','Exibic',
                           'Justif','PAP','HD','MSCol','DCG','RTOrd','ResAut','AIAP', 'AIRO', 'AP',
                           'RO', 'ReeNec', 'AgR', 'RM')) 

       LOOP
       dbms_output.put_line(resultado.NUM_INTERNO_PROCESSO || '               ' ||
                            resultado.NUM_ITEM  || '      ' ||
                            resultado.TXT_SIGLA_CLASSE || '                ' ||
                            resultado.NR_PROCESSO_ATUAL);
       END LOOP;
       dbms_output.put_line('--------------------  --------  ----------------' || CHR(10)|| CHR(10));       

-----------------------------------------------------------------------------------------------
   dbms_output.put_line('Processos que no pertencem s classes de natureza Originrias: '
                        || CHR(10) || CHR(10) || 'NUM_INTERNO_PROCESSO  NUM_ITEM  TXT_SIGLA_CLASSE NR_PROCESSO_ATUAL');

/*Cursor que armazena quais os processos do detalhamento do item
  que no so da classes de natureza Originrias
*/
   FOR resultado IN (select NUM_INTERNO_PROCESSO, TXT_SIGLA_CLASSE, NUM_ITEM, proc.NR_PROCESSO_ATUAL
                     from egt_info_processo p, egt_classe_processual c, sap.tb_processo proc
                     where NUM_INTERNO_PROCESSO = proc.SQ_PROCESSO
                     and p.NUM_ITEM in (2221, 2236, 2239) and p.NUM_CLASSE = c.NUM_CLASSE and
                           p.NUM_REMESSA = remessa and p.NUM_LOTE = lote and 
                           c.TXT_SIGLA_CLASSE not in ('ArgInc','AACC','AR','ET','MS','HC',
                           'Oposic','Pet','CauInom','ExcImp','Protes','CC','DC','IVC','ExcSusp',
                           'CCJ','IUJ','Atent','BusApr','Cauao','CProt','Notif','Inter','Exibic',
                           'Justif','PAP','HD','MSCol','DCG','RTOrd','ResAut')) 

       LOOP
       dbms_output.put_line(resultado.NUM_INTERNO_PROCESSO || '               ' ||
                            resultado.NUM_ITEM  || '      ' ||
                            resultado.TXT_SIGLA_CLASSE || '                ' ||
                            resultado.NR_PROCESSO_ATUAL);
       END LOOP;
       dbms_output.put_line('--------------------  --------  ----------------' || CHR(10)|| CHR(10));
       
-----------------------------------------------------------------------------------------------
   dbms_output.put_line('Processos que no pertencem s classes de natureza Originrias, ' || CHR(10) ||
                        'excluda a classe Restaurao de Autos (ResAut):' || CHR(10) || CHR(10) ||
                        'NUM_INTERNO_PROCESSO  NUM_ITEM  TXT_SIGLA_CLASSE NR_PROCESSO_ATUAL');

/*Cursor que armazena quais os processos do detalhamento do item
  que no so da classes de natureza Originrias,
  excluda a classe Restaurao de Autos (ResAut) */
   FOR resultado IN (select NUM_INTERNO_PROCESSO, TXT_SIGLA_CLASSE, NUM_ITEM, proc.NR_PROCESSO_ATUAL
                     from egt_info_processo p, egt_classe_processual c, sap.tb_processo proc
                     where NUM_INTERNO_PROCESSO = proc.SQ_PROCESSO
                     and p.NUM_ITEM = 2227 and p.NUM_CLASSE = c.NUM_CLASSE and
                           p.NUM_REMESSA = remessa and p.NUM_LOTE = lote and 
                           c.TXT_SIGLA_CLASSE not in ('ArgInc','AACC','AR','ET','MS','HC',
                           'Oposic','Pet','CauInom','ExcImp','Protes','CC','DC','IVC','ExcSusp',
                           'CCJ','IUJ','Atent','BusApr','Cauao','CProt','Notif','Inter','Exibic',
                           'Justif','PAP','HD','MSCol','DCG','RTOrd')) 

       LOOP
       dbms_output.put_line(resultado.NUM_INTERNO_PROCESSO || '               ' ||
                            resultado.NUM_ITEM  || '      ' ||
                            resultado.TXT_SIGLA_CLASSE || '                ' ||
                            resultado.NR_PROCESSO_ATUAL);
       END LOOP;
       dbms_output.put_line('--------------------  --------  ----------------' || CHR(10)|| CHR(10));

-----------------------------------------------------------------------------------------------
   dbms_output.put_line('Processos que no pertencem  classe Correio Parcial ou Reclamao Correicional (CorPar):' || CHR(10) || CHR(10) ||
                        'NUM_INTERNO_PROCESSO  NUM_ITEM  TXT_SIGLA_CLASSE NR_PROCESSO_ATUAL');

/*Cursor que armazena quais os processos do detalhamento do item
  que no so da classe Correio Parcial ou Reclamao Correicional (CorPar)
*/
   FOR resultado IN (select NUM_INTERNO_PROCESSO, TXT_SIGLA_CLASSE, NUM_ITEM, proc.NR_PROCESSO_ATUAL
                     from egt_info_processo p, egt_classe_processual c, sap.tb_processo proc
                     where NUM_INTERNO_PROCESSO = proc.SQ_PROCESSO
                     and p.NUM_ITEM in (2265, 2266)  and p.NUM_CLASSE = c.NUM_CLASSE and
                           p.NUM_REMESSA = remessa and p.NUM_LOTE = lote and 
                           c.TXT_SIGLA_CLASSE not in ('CorPar')) 

       LOOP
       dbms_output.put_line(resultado.NUM_INTERNO_PROCESSO || '               ' ||
                            resultado.NUM_ITEM  || '      ' ||
                            resultado.TXT_SIGLA_CLASSE || '                ' ||
                            resultado.NR_PROCESSO_ATUAL);
       END LOOP;
       dbms_output.put_line('--------------------  --------  ----------------' || CHR(10)|| CHR(10));

-----------------------------------------------------------------------------------------------
   dbms_output.put_line('Processos que no pertencem s classes do item 2248:' || CHR(10) || CHR(10) ||
                        'NUM_INTERNO_PROCESSO  NUM_ITEM  TXT_SIGLA_CLASSE NR_PROCESSO_ATUAL');

/*Cursor que armazena quais os processos do detalhamento do item
  que no so das classes do item 2248
*/
   FOR resultado IN (select NUM_INTERNO_PROCESSO, TXT_SIGLA_CLASSE, NUM_ITEM, proc.NR_PROCESSO_ATUAL
                     from egt_info_processo p, egt_classe_processual c, sap.tb_processo proc
                     where NUM_INTERNO_PROCESSO = proc.SQ_PROCESSO
                     and p.NUM_ITEM in (2250, 2251, 2253)  and p.NUM_CLASSE = c.NUM_CLASSE and
                           p.NUM_REMESSA = remessa and p.NUM_LOTE = lote and 
                           c.TXT_SIGLA_CLASSE not in ('DC', 'DCG', 'PRVC', 'SLAT')) 

       LOOP
       dbms_output.put_line(resultado.NUM_INTERNO_PROCESSO || '               ' ||
                            resultado.NUM_ITEM  || '      ' ||
                            resultado.TXT_SIGLA_CLASSE || '                ' ||
                            resultado.NR_PROCESSO_ATUAL);
       END LOOP;
       dbms_output.put_line('--------------------  --------  ----------------' || CHR(10)|| CHR(10));
       
-----------------------------------------------------------------------------------------------
   dbms_output.put_line('Processos que no pertencem s classes do item 2248, ' || CHR(10) ||
                        'com exceo das classes Pedido de Reviso do Valor da Causa (PRVC)' || CHR(10) ||
                        'e Suspenso de Liminar ou Antecipao de Tutela (SLAT):' || CHR(10) || CHR(10) ||
                        'NUM_INTERNO_PROCESSO  NUM_ITEM  TXT_SIGLA_CLASSE NR_PROCESSO_ATUAL');

/*Cursor que armazena quais os processos do detalhamento do item
  que no so das classes do item 2248, exceto Pedido de Reviso do Valor
  da Causa (PRVC) e Suspenso de Liminar ou Antecipao de Tutela (SLAT)
*/
   FOR resultado IN (select NUM_INTERNO_PROCESSO, TXT_SIGLA_CLASSE, NUM_ITEM, proc.NR_PROCESSO_ATUAL
                     from egt_info_processo p, egt_classe_processual c, sap.tb_processo proc
                     where NUM_INTERNO_PROCESSO = proc.SQ_PROCESSO
                     and p.NUM_ITEM in (2252, 2255, 2256) and p.NUM_CLASSE = c.NUM_CLASSE and
                           p.NUM_REMESSA = remessa and p.NUM_LOTE = lote and 
                           c.TXT_SIGLA_CLASSE not in ('DC', 'DCG')) 

       LOOP
       dbms_output.put_line(resultado.NUM_INTERNO_PROCESSO || '               ' ||
                            resultado.NUM_ITEM  || '      ' ||
                            resultado.TXT_SIGLA_CLASSE || '                ' ||
                            resultado.NR_PROCESSO_ATUAL);
       END LOOP;
       dbms_output.put_line('--------------------  --------  ----------------' || CHR(10)|| CHR(10));

-----------------------------------------------------------------------------------------------
   dbms_output.put_line('Processos que no pertencem s classes do item 2259:'|| CHR(10) || CHR(10) ||
                        'NUM_INTERNO_PROCESSO  NUM_ITEM  TXT_SIGLA_CLASSE NR_PROCESSO_ATUAL');

/*Cursor que armazena quais os processos do detalhamento do item
  que no so das classes do item 2259
*/
   FOR resultado IN (select NUM_INTERNO_PROCESSO, TXT_SIGLA_CLASSE, NUM_ITEM, proc.NR_PROCESSO_ATUAL
                     from egt_info_processo p, egt_classe_processual c, sap.tb_processo proc
                     where NUM_INTERNO_PROCESSO = proc.SQ_PROCESSO
                     and p.NUM_ITEM in (2261, 2262, 2263)  and p.NUM_CLASSE = c.NUM_CLASSE and
                           p.NUM_REMESSA = remessa and p.NUM_LOTE = lote and 
                           c.TXT_SIGLA_CLASSE not in ('CorPar', 'PP', 'RclDisc')) 

       LOOP
       dbms_output.put_line(resultado.NUM_INTERNO_PROCESSO || '               ' ||
                            resultado.NUM_ITEM  || '      ' ||
                            resultado.TXT_SIGLA_CLASSE || '                ' ||
                            resultado.NR_PROCESSO_ATUAL);
       END LOOP;
       dbms_output.put_line('--------------------  --------  ----------------' || CHR(10)|| CHR(10));

-----------------------------------------------------------------------------------------------
   dbms_output.put_line('Processos que no pertencem  classe do item 2309: '|| CHR(10) || CHR(10) ||
                        'NUM_INTERNO_PROCESSO  NUM_ITEM  TXT_SIGLA_CLASSE NR_PROCESSO_ATUAL');

/*Cursor que armazena quais os processos do detalhamento do item
  que no so da classe do item 2309
*/
   FOR resultado IN (select NUM_INTERNO_PROCESSO, TXT_SIGLA_CLASSE, NUM_ITEM, proc.NR_PROCESSO_ATUAL
                     from egt_info_processo p, egt_classe_processual c, sap.tb_processo proc
                     where NUM_INTERNO_PROCESSO = proc.SQ_PROCESSO
                     and p.NUM_ITEM in (2314, 2315, 2317, 2319, 2321, 2323, 2324, 2326, 2327, 2328, 2329)  and p.NUM_CLASSE = c.NUM_CLASSE and
                           p.NUM_REMESSA = remessa and p.NUM_LOTE = lote and 
                           c.TXT_SIGLA_CLASSE not in ('Precat')) 

       LOOP
       dbms_output.put_line(resultado.NUM_INTERNO_PROCESSO || '               ' ||
                            resultado.NUM_ITEM  || '      ' ||
                            resultado.TXT_SIGLA_CLASSE || '                ' ||
                            resultado.NR_PROCESSO_ATUAL);
       END LOOP;
       dbms_output.put_line('--------------------  --------  ----------------' || CHR(10)|| CHR(10));

-----------------------------------------------------------------------------------------------
   dbms_output.put_line('Processos que no pertencem  classe do item 2330: '|| CHR(10) || CHR(10) ||
                        'NUM_INTERNO_PROCESSO  NUM_ITEM  TXT_SIGLA_CLASSE NR_PROCESSO_ATUAL');

/*Cursor que armazena quais os processos do detalhamento do item
  que no so da classe do item 2330
*/
   FOR resultado IN (select NUM_INTERNO_PROCESSO, TXT_SIGLA_CLASSE, NUM_ITEM, proc.NR_PROCESSO_ATUAL
                     from egt_info_processo p, egt_classe_processual c, sap.tb_processo proc
                     where NUM_INTERNO_PROCESSO = proc.SQ_PROCESSO
                     and p.NUM_ITEM in (2333, 2334, 2336, 2338, 2340, 2342, 2343, 2345, 2346, 2347, 2348)  and p.NUM_CLASSE = c.NUM_CLASSE and
                           p.NUM_REMESSA = remessa and p.NUM_LOTE = lote and 
                           c.TXT_SIGLA_CLASSE not in ('RPV')) 

       LOOP
       dbms_output.put_line(resultado.NUM_INTERNO_PROCESSO || '               ' ||
                            resultado.NUM_ITEM  || '      ' ||
                            resultado.TXT_SIGLA_CLASSE || '                ' ||
                            resultado.NR_PROCESSO_ATUAL);
       END LOOP;
       dbms_output.put_line('--------------------  --------  ----------------' || CHR(10)|| CHR(10));

END;
