/* 

Script para validar as Regras No Temporais - rea Judiciria - e_Gesto 2o grau.

Validao da regra do quadro 1.2(LITIGIOSIDADE):
Regra 3 - Vnculo com outros itens (Parte 1)


Desenvolvido por Lucas Aranha Barreto (lucas.barreto@trt1.jus.br)
STI - CGSP (Coordenadoria de Gesto de Sistemas e Portal)
TRT 1 Regio - RJ 
-----------------------------------------------------------------------------
*/


DECLARE
remessa NUMBER(10) := 20021; --<< PREENCHER: nmero da remessa a ser validada
lote NUMBER (2) := 1;        --<< PREENCHER: nmero do lote a ser validado
-- variveis de auxlio, armazenam a soma do NUM_QUANTIDADE_ITEM de dois ou mais itens para posterior comparao
qSoma number(10) := 0; 
resultado number(10) := 0;

begin

-----------------------------------------------------------------------------------------------
/* Validao do vnculo de igualdade entre as quantidades dos itens 2121 e 2222 */
  declare
  q2121 number(10) := 0;
  q2222 number(10) := 0;

  begin

     select SUM(num_quantidade_item) into q2121
     from egt_info_item
     where num_item = 2121 and
           num_remessa = remessa and
           num_lote = lote;

     select SUM(num_quantidade_item) into q2222
     from egt_info_item
     where num_item = 2222 and
           num_remessa = remessa and
           num_lote = lote;
     
     if (q2121 <> q2222) then
        resultado := q2121 - q2222;
        dbms_output.put_line ('Violao do vnculo entre as quantidade dos itens 2121 e 2222! Diferena: ' || resultado || CHR(10));
     else
        dbms_output.put_line ('Vnculo entre as quantidades dos itens 2121 e 2222 validado!' || CHR(10) || CHR(10));
     end if;   
  end;
   
-----------------------------------------------------------------------------------------------
/* Validao dos vnculos dos itens: 2182, 2183, 2184.
   A quantidade de tais itens deve ser menor ou igual a soma dos itens 2.159, 2.160, 2.161, 2.179 e 2.180.*/
  declare
  q2182 number(10) := 0;
  q2183 number(10) := 0;
  q2184 number(10) := 0;
  
  begin

     select SUM(num_quantidade_item) into qSoma
     from egt_info_item
     where num_item in (2159, 2160, 2161, 2179, 2180)  and
           num_remessa = remessa and
           num_lote = lote;

     select SUM(num_quantidade_item) into q2182
     from egt_info_item
     where num_item = 2182 and
           num_remessa = remessa and
           num_lote = lote;
           
     select SUM(num_quantidade_item) into q2183
     from egt_info_item
     where num_item = 2183 and
           num_remessa = remessa and
           num_lote = lote;
           
     select SUM(num_quantidade_item) into q2184
     from egt_info_item
     where num_item = 2184 and
           num_remessa = remessa and
           num_lote = lote;
     
     if (q2182 > qSoma) then
        dbms_output.put_line ('Violao do vnculo de quantidade do item 2182! Diferena: ' || q2182 - qSoma || CHR(10) || CHR(10));
     else
        dbms_output.put_line ('Vnculo de quantidade do item 2182 validado!' || CHR(10) || CHR(10));
     end if;   
     
     if (q2183 > qSoma) then
        dbms_output.put_line ('Violao do vnculo de quantidade do item 2183! Diferena: ' || q2183 - qSoma || CHR(10) || CHR(10));
     else
        dbms_output.put_line ('Vnculo de quantidade do item 2183 validado!' || CHR(10) || CHR(10));
     end if;   
     
     if (q2184 > qSoma) then
        dbms_output.put_line ('Violao do vnculo de quantidade do item 2184! Diferena: ' || q2184 - qSoma || CHR(10) || CHR(10));
     else
        dbms_output.put_line ('Vnculo de quantidade do item 2184 validado!' || CHR(10) || CHR(10));
     end if;   
  end;
  
 -----------------------------------------------------------------------------------------------
/* Validao dos vnculos dos itens: 2192, 2193, 2195, 2196.
   A quantidade de tais itens deve ser menor ou igual a soma dos itens 2.369 a 2.395 .*/  
  declare
  q2192 number(10) := 0;
  q2193 number(10) := 0;
  q2195 number(10) := 0;
  q2196 number(10) := 0;
  
  begin

     select SUM(num_quantidade_item) into qSoma
     from egt_info_item
     where num_item between 2369 and 2395 and
           num_remessa = remessa and
           num_lote = lote;

     select SUM(num_quantidade_item) into q2192
     from egt_info_item
     where num_item = 2192 and
           num_remessa = remessa and
           num_lote = lote;
           
     select SUM(num_quantidade_item) into q2193
     from egt_info_item
     where num_item = 2193 and
           num_remessa = remessa and
           num_lote = lote;
           
     select SUM(num_quantidade_item) into q2195
     from egt_info_item
     where num_item = 2195 and
           num_remessa = remessa and
           num_lote = lote;
     
     select SUM(num_quantidade_item) into q2196
     from egt_info_item
     where num_item = 2196 and
           num_remessa = remessa and
           num_lote = lote;
     
     if (q2192 > qSoma) then
        dbms_output.put_line ('Violao do vnculo de quantidade do item 2192! Diferena: ' || q2192 - qSoma || CHR(10) || CHR(10));
     else
        dbms_output.put_line ('Vnculo de quantidade do item 2192 validado!' || CHR(10) || CHR(10));
     end if;   
     
     if (q2193 > qSoma) then
        dbms_output.put_line ('Violao do vnculo de quantidade do item 2193! Diferena: ' || q2193 - qSoma || CHR(10) || CHR(10));
     else
        dbms_output.put_line ('Vnculo de quantidade do item 2193 validado!' || CHR(10) || CHR(10));
     end if;   
     
     if (q2195 > qSoma) then
        dbms_output.put_line ('Violao do vnculo de quantidade do item 2195! Diferena: ' || q2195 - qSoma || CHR(10) || CHR(10));
     else
        dbms_output.put_line ('Vnculo de quantidade do item 2195 validado!' || CHR(10) || CHR(10));
     end if;   
     
     if (q2196 > qSoma) then
        dbms_output.put_line ('Violao do vnculo de quantidade do item 2196! Diferena: ' || q2196 - qSoma || CHR(10) || CHR(10));
     else
        dbms_output.put_line ('Vnculo de quantidade do item 2196 validado!' || CHR(10) || CHR(10));
     end if;  
  end;
  
  -----------------------------------------------------------------------------------------------
/* Validao dos vnculos dos itens: 2200, 2201.
   A quantidade de tais itens deve ser menor ou igual a soma dos itens 2.198 e 2.199.*/
  declare
  q2200 number(10) := 0;
  q2201 number(10) := 0;
  
  begin

     select SUM(num_quantidade_item) into qSoma
     from egt_info_item
     where num_item in (2198, 2199) and
           num_remessa = remessa and
           num_lote = lote;

     select SUM(num_quantidade_item) into q2200
     from egt_info_item
     where num_item = 2200 and
           num_remessa = remessa and
           num_lote = lote;
           
     select SUM(num_quantidade_item) into q2201
     from egt_info_item
     where num_item = 2201 and
           num_remessa = remessa and
           num_lote = lote;
           
     if (q2200 > qSoma) then
        dbms_output.put_line ('Violao do vnculo de quantidade do item 2200! Diferena: ' || q2200 - qSoma || CHR(10) || CHR(10));
     else
        dbms_output.put_line ('Vnculo de quantidade do item 2200 validado!' || CHR(10) || CHR(10));
     end if;   
     
     if (q2201 > qSoma) then
        dbms_output.put_line ('Violao do vnculo de quantidade do item 2201! Diferena: ' || q2201 - qSoma || CHR(10) || CHR(10));
     else
        dbms_output.put_line ('Vnculo de quantidade do item 2201 validado!' || CHR(10) || CHR(10));
     end if;   
  end;
  
  -----------------------------------------------------------------------------------------------
  /* Validao do vnculo do item: 2208.
   A quantidade do item deve ser menor ou igual a soma dos itens 2.206 e 2.207.*/
  declare
  q2208 number(10) := 0;
  
  begin

     select SUM(num_quantidade_item) into qSoma
     from egt_info_item
     where num_item in (2206, 2207) and
           num_remessa = remessa and
           num_lote = lote;

     select SUM(num_quantidade_item) into q2208
     from egt_info_item
     where num_item = 2208 and
           num_remessa = remessa and
           num_lote = lote;
         
     if (q2208 > qSoma) then
        dbms_output.put_line ('Violao do vnculo de quantidade do item 2208! Diferena: ' || q2208 - qSoma || CHR(10) || CHR(10));
     else
        dbms_output.put_line ('Vnculo de quantidade do item 2208 validado!' || CHR(10) || CHR(10));
     end if;   
  end;
 
end;


