/* 

Script para validar as Regras No Temporais - rea Administrativa - e_Gesto 2o grau.

Validao da regra do quadro 1.1(Funcionamento dos TRT):
Regra 2.1 - A contagem de registros de magistrado (pessoa) deve ser igual ao quantitativo informado.
Regra 2.2 - A contagem de registros de pessoa deve ser igual ao quantitativo informado.
Regra 2.3 - A soma do quantitativo de todos os cargos deve ser igual ao quantitativo do item.
Regra 2.5 (1) - A soma do quantitativo informado para cada FC deve ser igual ao quantitativo informado no item.
Regra 2.5 (2) - A soma do quantitativo informado para cada CJ deve ser igual ao quantitativo informado no item.


Desenvolvido por Lucas Aranha Barreto (lucas.barreto@trt1.jus.br)
STI - CGSP (Coordenadoria de Gesto de Sistemas e Portal)
TRT 1 Regio - RJ 
--------------------------------------------------------------------------------
*/

declare
remessa NUMBER(10) := 20021; --<< PREENCHER: nmero da remessa a ser validada
lote NUMBER (2) := 1;        --<< PREENCHER: nmero do lote a ser validado

  /*Varivel que armazena a quantidade de pessoas recebida atravs 
  do count na tabela EGT_INFO_PESSOA para posterior comparao com 
  NUM_QUANTIDADE_ITEM da tabela EGT_INFO_ITEM*/
  qtdePessoas number(10);
  /*Varivel que armazena a quantidade de cargos recebida atravs 
  do count na tabela EGT_INFO_CARGO para posterior comparao com 
  NUM_QUANTIDADE_ITEM da tabela EGT_INFO_ITEM*/
  qtdeCargos number(10); 
  /*Varivel que armazena a quantidade de funes/cargos comissionados recebida atravs 
  do count na tabela EGT_INFO_FUNCAO para posterior comparao com 
  NUM_QUANTIDADE_ITEM da tabela EGT_INFO_ITEM*/
  qtdeFC_CJ number(10);


  cursor qtde_item_Pessoas is
          select NUM_ITEM, sum(NUM_QUANTIDADE_ITEM) as somaItem
            from EGT_INFO_ITEM
           where NUM_REMESSA = remessa
             and NUM_LOTE = lote
             and NUM_ITEM in
                 (2008, 2010, 2011, 2012, 2013, 2014, 2017, 2019, 2020, 2021, 2023, 2025, 2026, 2027, 2035, 2036, 2037, 2038, 2039, 2040, 2041, 2042, 2045, 2046, 2047, 2048, 2049, 2050, 2053, 2054, 2055, 2056, 2057, 2058, 2061, 2062, 2063, 2064, 2065, 2066, 2069, 2070, 2071, 2072, 2073, 2074, 2084, 2086, 2088, 2090, 2092, 2094, 2100, 2102, 2104, 2106, 2108, 2110)
           group by NUM_ITEM
           order by NUM_ITEM;
           
  cursor qtde_item_Cargos is
         select NUM_ITEM, sum(NUM_QUANTIDADE_ITEM) as somaItem
           from EGT_INFO_ITEM
          where NUM_REMESSA = remessa
            and NUM_LOTE = lote
            and NUM_ITEM in (2030, 2031, 2032)
          group by NUM_ITEM
          order by NUM_ITEM;
           
  cursor qtde_item_FC is
         select NUM_ITEM, sum(NUM_QUANTIDADE_ITEM) as somaItem
           from EGT_INFO_ITEM
          where NUM_REMESSA = remessa
            and NUM_LOTE = lote
            and NUM_ITEM in
                (2081, 2082, 2083, 2085, 2087, 2089, 2091, 2093, 2097, 2098, 2099, 2101, 2103, 2105, 2107, 2109)
          group by NUM_ITEM
          order by NUM_ITEM;
   
          
  begin 
    --------------------------------------------------------------------------------        
    
      dbms_output.put_line('Itens com diferena entre a contagem de PESSOAS e o valor do NUM_QUANTIDADE_ITEM:' || CHR (10) || CHR (10) || 'Num Item          Diferena');

      for c in qtde_item_Pessoas
        loop             
            select count(*) into qtdePessoas
            from egt_info_pessoa
            where NUM_ITEM = c.NUM_ITEM and NUM_REMESSA = remessa and NUM_LOTE = lote;           
                        
                  if qtdePessoas <> c.somaItem
                  then
                     dbms_output.put_line(c.NUM_ITEM ||'              '|| (qtdePessoas - c.somaItem));                                      
                  end if;   
        end loop;         
                  dbms_output.put_line('----              ----'|| CHR(10)|| CHR(10));
                  
      --------------------------------------------------------------------------------            
      dbms_output.put_line('Itens com diferena entre a contagem de CARGOS e o valor do NUM_QUANTIDADE_ITEM:' || CHR (10) || CHR (10) || 'Num Item          Diferena');

      for c in qtde_item_Cargos
        loop             
            select sum(NUM_QUANTIDADE_ITEM) into qtdeCargos
            from egt_info_cargo
            where NUM_ITEM = c.NUM_ITEM and NUM_REMESSA = remessa and NUM_LOTE = lote;           
                        
                  if qtdeCargos <> c.somaItem
                  then
                     dbms_output.put_line(c.NUM_ITEM ||'              '|| (qtdeCargos - c.somaItem));                                      
                  end if;   
        end loop;         
                  dbms_output.put_line('----              ----'|| CHR(10)|| CHR(10));
         
        
         -------------------------------------------------------------------------------- 
        
      dbms_output.put_line('Itens com diferena entre a contagem de FCs/CJs e o valor do NUM_QUANTIDADE_ITEM:' || CHR (10) || CHR (10) || 'Num Item          Diferena');

      for c in qtde_item_FC
        loop             
            select sum(NUM_QUANTIDADE_ITEM) into qtdeFC_CJ
            from egt_info_funcao
            where NUM_ITEM = c.NUM_ITEM and NUM_REMESSA = remessa and NUM_LOTE = lote;           
                        
                  if qtdeFC_CJ <> c.somaItem
                  then
                     dbms_output.put_line(c.NUM_ITEM ||'              '|| (qtdeFC_CJ - c.somaItem));                                      
                  end if;   
        end loop;         
                  dbms_output.put_line('----              ----'|| CHR(10)|| CHR(10));
                  
                  
                           
  end;                                                                                                                                                              
