/* 

Script para validar as Regras No Temporais - rea Administrativa - e_Gesto 2o grau.

Validao da regra do quadro 1.1(Funcionamento dos TRT):
Regra 3 - Vnculo com outros itens 


Desenvolvido por Lucas Aranha Barreto (lucas.barreto@trt1.jus.br)
STI - CGSP (Coordenadoria de Gesto de Sistemas e Portal)
TRT 1 Regio - RJ 
--------------------------------------------------------------------------------
*/

declare 
remessa NUMBER(10) := 20021; --<< PREENCHER: nmero da remessa a ser validada
lote NUMBER (2) := 1;        --<< PREENCHER: nmero do lote a ser validado
-- variveis de auxlio, armazenam a soma do NUM_QUANTIDADE_ITEM de dois ou mais itens para posterior comparao
qSoma number(10) := 0;
resultado number(10) := 0;

begin
--------------------------------------------------------------------------------
/* Validao do vnculo do item: 2.007.
   A quantidade do item deve ser igual a soma dos itens 2.008 e 2.009.*/
  declare
  q2007 number(10) := 0;
  q2008 number(10) := 0;
  q2009 number(10) := 0;
  
  begin

     select SUM(num_quantidade_item)
       into qSoma
       from egt_info_item
      where num_item in (2008, 2009)
        and num_remessa = remessa
        and num_lote = lote;
     
     select SUM(num_quantidade_item)
       into q2007
       from egt_info_item
      where num_item = 2007
        and num_remessa = remessa
        and num_lote = lote;
           
     if (q2007 <> qSoma) then
        dbms_output.put_line ('Violao do vnculo de quantidade do item 2007! Diferena: ' || q2007 - qSoma || CHR(10) || CHR(10));
     else
        dbms_output.put_line ('Vnculo de quantidade do item 2007 validado!' || CHR(10) || CHR(10));
     end if;   
  end;
  
 --------------------------------------------------------------------------------  
/* Validao dos vnculos dos itens: 2.011, 2012, 2013, 2014.
   A quantidade dos itens deve ser menor ou igual ao item 2.008.*/
  declare
  q2008 number(10) := 0;
  q2011 number(10) := 0;
  q2012 number(10) := 0;
  q2013 number(10) := 0;
  q2014 number(10) := 0;
    
  begin

     select SUM(num_quantidade_item)
       into q2008
       from egt_info_item
      where num_item = 2008
        and num_remessa = remessa
        and num_lote = lote;
     
     select SUM(num_quantidade_item)
       into q2011
       from egt_info_item
      where num_item = 2011
        and num_remessa = remessa
        and num_lote = lote;
     
     select SUM(num_quantidade_item)
       into q2012
       from egt_info_item
      where num_item = 2012
        and num_remessa = remessa
        and num_lote = lote;
     
     select SUM(num_quantidade_item)
       into q2013
       from egt_info_item
      where num_item = 2013
        and num_remessa = remessa
        and num_lote = lote;
     
     select SUM(num_quantidade_item)
       into q2014
       from egt_info_item
      where num_item = 2014
        and num_remessa = remessa
        and num_lote = lote;
                
     if (q2011 > q2008) then
        dbms_output.put_line ('Violao do vnculo de quantidade do item 2011! Diferena: ' || q2011 - q2008 || CHR(10) || CHR(10));
     else
        dbms_output.put_line ('Vnculo de quantidade do item 2011 validado!' || CHR(10) || CHR(10));
     end if;   
     
     if (q2012 > q2008) then
        dbms_output.put_line ('Violao do vnculo de quantidade do item 2012! Diferena: ' || q2012 - q2008 || CHR(10) || CHR(10));
     else
        dbms_output.put_line ('Vnculo de quantidade do item 2012 validado!' || CHR(10) || CHR(10));
     end if;   
     
     if (q2013 > q2008) then
        dbms_output.put_line ('Violao do vnculo de quantidade do item 2012! Diferena: ' || q2013 - q2008 || CHR(10) || CHR(10));
     else
        dbms_output.put_line ('Vnculo de quantidade do item 2013 validado!' || CHR(10) || CHR(10));
     end if;   
     
     if (q2014 > q2008) then
        dbms_output.put_line ('Violao do vnculo de quantidade do item 2014! Diferena: ' || q2014 - q2008 || CHR(10) || CHR(10));
     else
        dbms_output.put_line ('Vnculo de quantidade do item 2014 validado!' || CHR(10) || CHR(10));
     end if;   
  end;
   
 --------------------------------------------------------------------------------  
/* Validao do vnculo do item: 2.016.
   A quantidade do item deve ser igual a soma dos itens 2.017 e 2.018.*/

  declare
  q2016 number(10) := 0;
  q2017 number(10) := 0;
  q2018 number(10) := 0;
  
  begin

     select SUM(num_quantidade_item)
       into qSoma
       from egt_info_item
      where num_item in (2017, 2018)
        and num_remessa = remessa
        and num_lote = lote;
     
     select SUM(num_quantidade_item)
       into q2016
       from egt_info_item
      where num_item = 2016
        and num_remessa = remessa
        and num_lote = lote;
           
     if (q2016 <> qSoma) then
        dbms_output.put_line ('Violao do vnculo de quantidade do item 2016! Diferena: ' || q2016 - qSoma || CHR(10) || CHR(10));
     else
        dbms_output.put_line ('Vnculo de quantidade do item 2016 validado!' || CHR(10) || CHR(10));
     end if;   
  end;
   
 -------------------------------------------------------------------------------- 
/* Validao dos vnculos dos itens: 2.019, 2020, 2021.
   A quantidade dos itens deve ser menor ou igual ao item 2.017.*/
  declare
  q2017 number(10) := 0;
  q2019 number(10) := 0;
  q2020 number(10) := 0;
  q2021 number(10) := 0;
    
  begin

     select SUM(num_quantidade_item) into q2017
     from egt_info_item
     where num_item = 2017  and
           num_remessa = remessa and
           num_lote = lote;

     select SUM(num_quantidade_item) into q2019
     from egt_info_item
     where num_item = 2019 and
           num_remessa = remessa and
           num_lote = lote;
     
     select SUM(num_quantidade_item) into q2020
     from egt_info_item
     where num_item = 2020 and
           num_remessa = remessa and
           num_lote = lote;
           
     select SUM(num_quantidade_item) into q2021
     from egt_info_item
     where num_item = 2021 and
           num_remessa = remessa and
           num_lote = lote;
           
     if (q2019 > q2017) then
        dbms_output.put_line ('Violao do vnculo de quantidade do item 2019! Diferena: ' || q2019 - q2017 || CHR(10) || CHR(10));
     else
        dbms_output.put_line ('Vnculo de quantidade do item 2019 validado!' || CHR(10) || CHR(10));
     end if;   
     
     if (q2020 > q2017) then
        dbms_output.put_line ('Violao do vnculo de quantidade do item 2020! Diferena: ' || q2020 - q2017 || CHR(10) || CHR(10));
     else
        dbms_output.put_line ('Vnculo de quantidade do item 2020 validado!' || CHR(10) || CHR(10));
     end if;   
     
     if (q2021 > q2017) then
        dbms_output.put_line ('Violao do vnculo de quantidade do item 2021! Diferena: ' || q2021 - q2017 || CHR(10) || CHR(10));
     else
        dbms_output.put_line ('Vnculo de quantidade do item 2021 validado!' || CHR(10) || CHR(10));
     end if;   
  end;  
   
 -------------------------------------------------------------------------------- 
/* Validao do vnculo do item: 2.022.
   A quantidade do item deve ser igual a soma dos itens 2.023 e 2.024.*/
  declare
  q2022 number(10) := 0;
  
  begin

     select SUM(num_quantidade_item) into qSoma
     from egt_info_item
     where num_item in (2023, 2024)  and
           num_remessa = remessa and
           num_lote = lote;

     select SUM(num_quantidade_item) into q2022
     from egt_info_item
     where num_item = 2022 and
           num_remessa = remessa and
           num_lote = lote;
           
     if (q2022 <> qSoma) then
        dbms_output.put_line ('Violao do vnculo de quantidade do item 2022! Diferena: ' || q2022 - qSoma || CHR(10) || CHR(10));
     else
        dbms_output.put_line ('Vnculo de quantidade do item 2022 validado!' || CHR(10) || CHR(10));
     end if;   
  end;  
    
 --------------------------------------------------------------------------------  
/* Validao do vnculo do item: 2.025.
   A quantidade do item deve ser menor ou igual ao item 2.023.*/
  declare
  q2023 number(10) := 0;
  q2025 number(10) := 0;
   
  begin

     select SUM(num_quantidade_item) into q2023
     from egt_info_item
     where num_item = 2023  and
           num_remessa = remessa and
           num_lote = lote;

     select SUM(num_quantidade_item) into q2025
     from egt_info_item
     where num_item = 2025 and
           num_remessa = remessa and
           num_lote = lote;
     
     if (q2025 > q2023) then
        dbms_output.put_line ('Violao do vnculo de quantidade do item 2025! Diferena: ' || q2025 - q2023 || CHR(10) || CHR(10));
     else
        dbms_output.put_line ('Vnculo de quantidade do item 2025 validado!' || CHR(10) || CHR(10));
     end if;   
  end;
   
 -------------------------------------------------------------------------------- 
/* Validao do vnculo do item: 2.030.
   A quantidade do item deve ser igual a soma dos itens 2.031 e 2.032.*/
  declare
  q2030 number(10) := 0;
  
  begin

     select SUM(num_quantidade_item) into qSoma
     from egt_info_item
     where num_item in (2031, 2032)  and
           num_remessa = remessa and
           num_lote = lote;

     select SUM(num_quantidade_item) into q2030
     from egt_info_item
     where num_item = 2030 and
           num_remessa = remessa and
           num_lote = lote;
           
     if (q2030 <> qSoma) then
        resultado := q2030 - qSoma;
        dbms_output.put_line ('Violao do vnculo de quantidade do item 2030! Diferena: ' || resultado || CHR(10) || CHR(10));
     else
        dbms_output.put_line ('Vnculo de quantidade do item 2030 validado!' || CHR(10) || CHR(10));
     end if;   
  end;
     
 -------------------------------------------------------------------------------- 
/* Validao do vnculo do item: 2.034.
   A quantidade do item deve ser igual a soma dos itens 2.035, 2.036, 2.037, 2.038 e 2.039.*/
  declare
  q2034 number(10) := 0;
  
  begin

     select SUM(num_quantidade_item) into qSoma
     from egt_info_item
     where num_item in (2035, 2036, 2037, 2038, 2039)  and
           num_remessa = remessa and
           num_lote = lote;

     select SUM(num_quantidade_item) into q2034
     from egt_info_item
     where num_item = 2034 and
           num_remessa = remessa and
           num_lote = lote;
           
     if (q2034 <> qSoma) then
        resultado := q2034 - qSoma;
        dbms_output.put_line ('Violao do vnculo de quantidade do item 2034! Diferena: ' || resultado || CHR(10) || CHR(10));
     else
        dbms_output.put_line ('Vnculo de quantidade do item 2034 validado!' || CHR(10) || CHR(10));
     end if;   
  end;       
    
 --------------------------------------------------------------------------------  
/* Validao do vnculo do item: 2.044.
   A quantidade do item deve ser igual a soma dos itens 2.045, 2.046, 2.047, 2.048 e 2.049.*/
  declare
  q2044 number(10) := 0;
  
  begin

     select SUM(num_quantidade_item) into qSoma
     from egt_info_item
     where num_item in (2045, 2046, 2047, 2048, 2049)  and
           num_remessa = remessa and
           num_lote = lote;

     select SUM(num_quantidade_item) into q2044
     from egt_info_item
     where num_item = 2044 and
           num_remessa = remessa and
           num_lote = lote;
           
     if (q2044 <> qSoma) then
        resultado := q2044 - qSoma;
        dbms_output.put_line ('Violao do vnculo de quantidade do item 2044! Diferena: ' || resultado || CHR(10) || CHR(10));
     else
        dbms_output.put_line ('Vnculo de quantidade do item 2044 validado!' || CHR(10) || CHR(10));
     end if;   
  end; 
     
 -------------------------------------------------------------------------------- 
/* Validao do vnculo do item: 2.052.
   A quantidade do item deve ser igual a soma dos itens 2.053, 2.054, 2.055, 2.056 e 2.057.*/
  declare
  q2052 number(10) := 0;
  
  begin

     select SUM(num_quantidade_item) into qSoma
     from egt_info_item
     where num_item in (2053, 2054, 2055, 2056, 2057)  and
           num_remessa = remessa and
           num_lote = lote;

     select SUM(num_quantidade_item) into q2052
     from egt_info_item
     where num_item = 2052 and
           num_remessa = remessa and
           num_lote = lote;
           
     if (q2052 <> qSoma) then
        dbms_output.put_line ('Violao do vnculo de quantidade do item 2052! Diferena: ' || q2052 - qSoma || CHR(10) || CHR(10));
     else
        dbms_output.put_line ('Vnculo de quantidade do item 2052 validado!' || CHR(10) || CHR(10));
     end if;   
  end;   
     
 -------------------------------------------------------------------------------- 
/* Validao do vnculo do item: 2.060.
   A quantidade do item deve ser igual a soma dos itens 2.061, 2.062, 2.063, 2.064 e 2.065.*/
  declare
  q2060 number(10) := 0;
  
  begin

     select SUM(num_quantidade_item) into qSoma
     from egt_info_item
     where num_item in (2061, 2062, 2063, 2064, 2065)  and
           num_remessa = remessa and
           num_lote = lote;

     select SUM(num_quantidade_item) into q2060
     from egt_info_item
     where num_item = 2060 and
           num_remessa = remessa and
           num_lote = lote;
           
     if (q2060 <> qSoma) then
        dbms_output.put_line ('Violao do vnculo de quantidade do item 2060! Diferena: ' || q2060 - qSoma || CHR(10) || CHR(10));
     else
        dbms_output.put_line ('Vnculo de quantidade do item 2060 validado!' || CHR(10) || CHR(10));
     end if;   
  end;  
     
 -------------------------------------------------------------------------------- 
/* Validao do vnculo do item: 2.068.
   A quantidade do item deve ser igual a soma dos itens 2.069, 2.070, 2.071, 2.072 e 2.073.*/
  declare
  q2068 number(10) := 0;
  
  begin

     select SUM(num_quantidade_item) into qSoma
     from egt_info_item
     where num_item in (2069, 2070, 2071, 2072, 2073)  and
           num_remessa = remessa and
           num_lote = lote;

     select SUM(num_quantidade_item) into q2068
     from egt_info_item
     where num_item = 2068 and
           num_remessa = remessa and
           num_lote = lote;
           
     if (q2068 <> qSoma) then
        resultado := q2068 - qSoma;
        dbms_output.put_line ('Violao do vnculo de quantidade do item 2068! Diferena: ' || resultado || CHR(10) || CHR(10));
     else
        dbms_output.put_line ('Vnculo de quantidade do item 2068 validado!' || CHR(10) || CHR(10));
     end if;   
  end;   
     
 -------------------------------------------------------------------------------- 
/* Validao do vnculo do item: 2.081.
   A quantidade do item deve ser igual a soma dos itens 2.082 e 2.093.*/
  declare
  q2081 number(10) := 0;
  
  begin

     select SUM(num_quantidade_item) into qSoma
     from egt_info_item
     where num_item in (2082, 2093)  and
           num_remessa = remessa and
           num_lote = lote;

     select SUM(num_quantidade_item) into q2081
     from egt_info_item
     where num_item = 2081 and
           num_remessa = remessa and
           num_lote = lote;
           
     if (q2081 <> qSoma) then
        resultado := q2081 - qSoma;
        dbms_output.put_line ('Violao do vnculo de quantidade do item 2081! Diferena: ' || resultado || CHR(10) || CHR(10));
     else
        dbms_output.put_line ('Vnculo de quantidade do item 2081 validado!' || CHR(10) || CHR(10));
     end if;   
  end;           
     
 -------------------------------------------------------------------------------- 
/* Validao do vnculo do item: 2.082.
   A quantidade do item deve ser igual a soma dos itens 2.083, 2.085, 2.087, 2.089 e 2.091.*/
  declare
  q2082 number(10) := 0;
  resultado number(10) := 0;
   
  begin

     select SUM(num_quantidade_item) into qSoma
     from egt_info_item
     where num_item in (2083, 2085, 2087, 2089, 2091)  and
           num_remessa = remessa and
           num_lote = lote;
 
     select SUM(num_quantidade_item) into q2082
     from egt_info_item
     where num_item = 2082 and
           num_remessa = remessa and
           num_lote = lote;      
           
     if (q2082 <> qSoma) then
        resultado := q2082 - qSoma;
        dbms_output.put_line ('Violao do vnculo de quantidade(2) do item 2082! Diferena: '|| resultado || CHR(10) || CHR(10));   
     else        
        dbms_output.put_line ('Vnculo de quantidade(2) do item 2082 validado!' || CHR(10) || CHR(10));
     end if;   
  end;   
     
 -------------------------------------------------------------------------------- 
/* Validao do vnculo do item: 2.084.
   A quantidade do item deve ser menor ou igual ao item 2.083.*/
  declare
  q2083 number(10) := 0;
  q2084 number(10) := 0;
   
  begin

     select SUM (num_quantidade_item) into q2083
     from egt_info_item
     where num_item = 2083  and
           num_remessa = remessa and
           num_lote = lote;

     select SUM(num_quantidade_item) into q2084
     from egt_info_item
     where num_item = 2084 and
           num_remessa = remessa and
           num_lote = lote;
     
     if (q2084 > q2083) then
        dbms_output.put_line ('Violao do vnculo de quantidade do item 2084! Diferena: ' || q2084 - q2083 || CHR(10) || CHR(10));
     else
        dbms_output.put_line ('Vnculo de quantidade do item 2084 validado!' || CHR(10) || CHR(10));
     end if;   
  end;  
     
 -------------------------------------------------------------------------------- 
/* Validao do vnculo do item: 2.086.
   A quantidade do item deve ser menor ou igual ao item 2.085.*/
  declare
  q2085 number(10) := 0;
  q2086 number(10) := 0;
   
  begin

     select SUM (num_quantidade_item) into q2085
     from egt_info_item
     where num_item = 2085  and
           num_remessa = remessa and
           num_lote = lote;

     select SUM(num_quantidade_item) into q2086
     from egt_info_item
     where num_item = 2086 and
           num_remessa = remessa and
           num_lote = lote;
     
     if (q2086 > q2085) then
        dbms_output.put_line ('Violao do vnculo de quantidade do item 2086! Diferena: ' || q2086 - q2085 || CHR(10) || CHR(10));
     else
        dbms_output.put_line ('Vnculo de quantidade do item 2086 validado!' || CHR(10) || CHR(10));
     end if;   
  end;
     
 -------------------------------------------------------------------------------- 
/* Validao do vnculo do item: 2.088.
   A quantidade do item deve ser menor ou igual ao item 2.087.*/
  declare
  q2087 number(10) := 0;
  q2088 number(10) := 0;
   
  begin

     select SUM(num_quantidade_item) into q2087
     from egt_info_item
     where num_item = 2087  and
           num_remessa = remessa and
           num_lote = lote;

     select SUM(num_quantidade_item) into q2088
     from egt_info_item
     where num_item = 2088 and
           num_remessa = remessa and
           num_lote = lote;
     
     if (q2088 > q2087) then
        resultado := q2088 - q2087;
        dbms_output.put_line ('Violao do vnculo de quantidade do item 2088! Diferena: ' || resultado || CHR(10) || CHR(10));
     else
        dbms_output.put_line ('Vnculo de quantidade do item 2088 validado!' || CHR(10) || CHR(10));
     end if;   
  end;
     
 -------------------------------------------------------------------------------- 
/* Validao do vnculo do item: 2.090.
   A quantidade do item deve ser menor ou igual ao item 2.089.*/
  declare
  q2089 number(10) := 0;
  q2090 number(10) := 0;
   
  begin

     select SUM(num_quantidade_item) into q2089
     from egt_info_item
     where num_item = 2089  and
           num_remessa = remessa and
           num_lote = lote;

     select SUM(num_quantidade_item) into q2090
     from egt_info_item
     where num_item = 2090 and
           num_remessa = remessa and
           num_lote = lote;
     
     if (q2090 > q2089) then
        dbms_output.put_line ('Violao do vnculo de quantidade do item 2090! Diferena: ' || q2090 - q2089 || CHR(10) || CHR(10));
     else
        dbms_output.put_line ('Vnculo de quantidade do item 2090 validado!' || CHR(10) || CHR(10));
     end if;   
  end;
     
 -------------------------------------------------------------------------------- 
  /* Validao do vnculo do item: 2.092.
   A quantidade do item deve ser menor ou igual ao item 2.091.*/
  declare
  q2091 number(10) := 0;
  q2092 number(10) := 0;
   
  begin

     select SUM(num_quantidade_item) into q2091
     from egt_info_item
     where num_item = 2091  and
           num_remessa = remessa and
           num_lote = lote;

     select SUM(num_quantidade_item) into q2092
     from egt_info_item
     where num_item = 2092 and
           num_remessa = remessa and
           num_lote = lote;
     
     if (q2092 > q2091) then
        dbms_output.put_line ('Violao do vnculo de quantidade do item 2092! Diferena: ' || q2092 - q2091 || CHR(10) || CHR(10));
     else
        dbms_output.put_line ('Vnculo de quantidade do item 2092 validado!' || CHR(10) || CHR(10));
     end if;   
  end;
     
 -------------------------------------------------------------------------------- 
    /* Validao do vnculo do item: 2.094.
   A quantidade do item deve ser menor ou igual ao item 2.093.*/
  declare
  q2093 number(10) := 0;
  q2094 number(10) := 0;
   
  begin

     select SUM(num_quantidade_item) into q2093
     from egt_info_item
     where num_item = 2093  and
           num_remessa = remessa and
           num_lote = lote;

     select SUM(num_quantidade_item) into q2094
     from egt_info_item
     where num_item = 2094 and
           num_remessa = remessa and
           num_lote = lote;
     
     if (q2094 > q2093) then
        dbms_output.put_line ('Violao do vnculo de quantidade do item 2094! Diferena: ' || q2094 - q2093 || CHR(10) || CHR(10));
     else
        dbms_output.put_line ('Vnculo de quantidade do item 2094 validado!' || CHR(10) || CHR(10));
     end if;   
  end;
     
 -------------------------------------------------------------------------------- 
   /* Validao do vnculo do item: 2.095.
   A quantidade do item deve ser menor ou igual ao item 2.081.*/
  declare
  q2081 number(10) := 0;
  q2095 number(10) := 0;
   
  begin

     select SUM(num_quantidade_item) into q2081
     from egt_info_item
     where num_item = 2081  and
           num_remessa = remessa and
           num_lote = lote;

     select SUM(num_quantidade_item) into q2095
     from egt_info_item
     where num_item = 2095 and
           num_remessa = remessa and
           num_lote = lote;
     
     if (q2095 > q2081) then
        dbms_output.put_line ('Violao do vnculo de quantidade(1) do item 2095! Diferena: ' || q2095 - q2081 || CHR(10) || CHR(10));
     else
        dbms_output.put_line ('Vnculo de quantidade(1) do item 2095 validado!' || CHR(10) || CHR(10));
     end if;   
  end;
     
 -------------------------------------------------------------------------------- 
  /* Validao do vnculo do item: 2.095.
   A quantidade do item deve ser menor ou igual a soma dos itens 2.034 e 2.040.*/
  declare
  q2095 number(10) := 0;
  
  begin

     select SUM(num_quantidade_item) into qSoma
     from egt_info_item
     where num_item in (2034, 2040)  and
           num_remessa = remessa and
           num_lote = lote;

     select SUM(num_quantidade_item) into q2095
     from egt_info_item
     where num_item = 2095 and
           num_remessa = remessa and
           num_lote = lote;
           
     if (q2095 > qSoma) then
        resultado := q2095 - qSoma;
        dbms_output.put_line ('Violao do vnculo de quantidade(2) do item 2095! Diferena: ' || resultado || CHR(10) || CHR(10));
     else
        dbms_output.put_line ('Vnculo de quantidade(2) do item 2095 validado!' || CHR(10) || CHR(10));
     end if;   
  end; 
     
 -------------------------------------------------------------------------------- 
  /* Validao do vnculo do item: 2.097.
   A quantidade do item deve ser igual a soma dos itens 2.098 e 2.109.*/
  declare
  q2097 number(10) := 0;
  
  begin

     select SUM(num_quantidade_item) into qSoma
     from egt_info_item
     where num_item in (2098, 2109)  and
           num_remessa = remessa and
           num_lote = lote;

     select SUM(num_quantidade_item) into q2097
     from egt_info_item
     where num_item = 2097 and
           num_remessa = remessa and
           num_lote = lote;
           
     if (q2097 <> qSoma) then
        resultado := q2097 - qSoma;
        dbms_output.put_line ('Violao do vnculo de quantidade do item 2097! Diferena: ' || resultado || CHR(10) || CHR(10));
     else
        dbms_output.put_line ('Vnculo de quantidade do item 2097 validado!' || CHR(10) || CHR(10));
     end if;   
  end; 
     
 -------------------------------------------------------------------------------- 
  /* Validao do vnculo do item: 2.100.
   A quantidade do item deve ser menor ou igual ao item 2.099.*/
  declare
  q2099 number(10) := 0;
  q2100 number(10) := 0;
   
  begin

     select SUM (num_quantidade_item) into q2099
     from egt_info_item
     where num_item = 2099  and
           num_remessa = remessa and
           num_lote = lote;

     select SUM(num_quantidade_item) into q2100
     from egt_info_item
     where num_item = 2100 and
           num_remessa = remessa and
           num_lote = lote;
     
     if (q2100 > q2099) then
        dbms_output.put_line ('Violao do vnculo de quantidade do item 2100! Diferena: ' || q2100 - q2099 || CHR(10) || CHR(10));
     else
        dbms_output.put_line ('Vnculo de quantidade do item 2100 validado!' || CHR(10) || CHR(10));
     end if;   
  end;
     
 -------------------------------------------------------------------------------- 
  /* Validao do vnculo do item: 2.102.
   A quantidade do item deve ser menor ou igual ao item 2.101.*/
  declare
  q2101 number(10) := 0;
  q2102 number(10) := 0;
   
  begin

     select SUM(num_quantidade_item) into q2101
     from egt_info_item
     where num_item = 2101  and
           num_remessa = remessa and
           num_lote = lote;

     select SUM(num_quantidade_item) into q2102
     from egt_info_item
     where num_item = 2102 and
           num_remessa = remessa and
           num_lote = lote;
     
     if (q2102 > q2101) then
        dbms_output.put_line ('Violao do vnculo de quantidade do item 2102! Diferena: ' || q2102 - q2101 || CHR(10) || CHR(10));
     else
        dbms_output.put_line ('Vnculo de quantidade do item 2102 validado!' || CHR(10) || CHR(10));
     end if;   
  end;
     
 -------------------------------------------------------------------------------- 
    /* Validao do vnculo do item: 2.104.
   A quantidade do item deve ser menor ou igual ao item 2.103.*/
  declare
  q2103 number(10) := 0;
  q2104 number(10) := 0;
   
  begin

     select SUM(num_quantidade_item) into q2103
     from egt_info_item
     where num_item = 2103  and
           num_remessa = remessa and
           num_lote = lote;

     select SUM(num_quantidade_item) into q2104
     from egt_info_item
     where num_item = 2104 and
           num_remessa = remessa and
           num_lote = lote;
     
     if (q2104 > q2103) then
        resultado := q2104 - q2103;
        dbms_output.put_line ('Violao do vnculo de quantidade do item 2104! Diferena: ' || resultado || CHR(10) || CHR(10));
     else
        dbms_output.put_line ('Vnculo de quantidade do item 2104 validado!' || CHR(10) || CHR(10));
     end if;   
  end;
     
 -------------------------------------------------------------------------------- 
    /* Validao do vnculo do item: 2.106.
   A quantidade do item deve ser menor ou igual ao item 2.105.*/
  declare
  q2105 number(10) := 0;
  q2106 number(10) := 0;
   
  begin

     select SUM(num_quantidade_item) into q2105
     from egt_info_item
     where num_item = 2105  and
           num_remessa = remessa and
           num_lote = lote;

     select SUM(num_quantidade_item) into q2106
     from egt_info_item
     where num_item = 2106 and
           num_remessa = remessa and
           num_lote = lote;
     
     if (q2106 > q2105) then
        dbms_output.put_line ('Violao do vnculo de quantidade do item 2106! Diferena: ' || q2106 - q2105 || CHR(10) || CHR(10));
     else
        dbms_output.put_line ('Vnculo de quantidade do item 2106 validado!' || CHR(10) || CHR(10));
     end if;   
  end;
     
 -------------------------------------------------------------------------------- 
    /* Validao do vnculo do item: 2.108.
   A quantidade do item deve ser menor ou igual ao item 2.107.*/
  declare
  q2107 number(10) := 0;
  q2108 number(10) := 0;
   
  begin

     select SUM(num_quantidade_item) into q2107
     from egt_info_item
     where num_item = 2107  and
           num_remessa = remessa and
           num_lote = lote;

     select SUM(num_quantidade_item) into q2108
     from egt_info_item
     where num_item = 2108 and
           num_remessa = remessa and
           num_lote = lote;
     
     if (q2108 > q2107) then
        dbms_output.put_line ('Violao do vnculo de quantidade do item 2108! Diferena: ' || q2108 - q2107 || CHR(10) || CHR(10));
     else
        dbms_output.put_line ('Vnculo de quantidade do item 2108 validado!' || CHR(10) || CHR(10));
     end if;   
  end;
     
 -------------------------------------------------------------------------------- 
    /* Validao do vnculo do item: 2.110.
   A quantidade do item deve ser menor ou igual ao item 2.109.*/
  declare
  q2109 number(10) := 0;
  q2110 number(10) := 0;
   
  begin

     select SUM(num_quantidade_item) into q2109
     from egt_info_item
     where num_item = 2109  and
           num_remessa = remessa and
           num_lote = lote;

     select SUM(num_quantidade_item) into q2110
     from egt_info_item
     where num_item = 2110 and
           num_remessa = remessa and
           num_lote = lote;
     
     if (q2110 > q2109) then
        dbms_output.put_line ('Violao do vnculo de quantidade do item 2110! Diferena: ' || q2110 - q2109 || CHR(10) || CHR(10));
     else
        dbms_output.put_line ('Vnculo de quantidade do item 2110 validado!' || CHR(10) || CHR(10));
     end if;   
  end;
     
 -------------------------------------------------------------------------------- 
    /* Validao do vnculo do item: 2.111.
   A quantidade do item deve ser menor ou igual ao  item 2.097.*/
  declare
  q2097 number(10) := 0;
  q2111 number(10) := 0;
   
  begin

     select SUM(num_quantidade_item) into q2097
     from egt_info_item
     where num_item = 2097  and
           num_remessa = remessa and
           num_lote = lote;

     select SUM(num_quantidade_item) into q2111
     from egt_info_item
     where num_item = 2111 and
           num_remessa = remessa and
           num_lote = lote;
     
     if (q2111 > q2097) then
        dbms_output.put_line ('Violao do vnculo de quantidade(1) do item 2111! Diferena: ' || q2111 - q2097 || CHR(10) || CHR(10));
     else
        dbms_output.put_line ('Vnculo de quantidade(1) do item 2111 validado!' || CHR(10) || CHR(10));
     end if;   
  end;
    
     
 -------------------------------------------------------------------------------- 
  /* Validao dos vnculos dos itens: 2.083, 2085, 2087, 2089, 2091.
   A quantidade dos itens deve ser menor ou igual ao item 2.082.*/
  declare
  q2082 number(10) := 0;
  q2083 number(10) := 0;
  q2085 number(10) := 0;
  q2087 number(10) := 0;
  q2089 number(10) := 0;
  q2091 number(10) := 0;    
  
  begin

     select SUM(num_quantidade_item) into q2082
     from egt_info_item
     where num_item = 2082  and
           num_remessa = remessa and
           num_lote = lote;

     select SUM(num_quantidade_item) into q2083
     from egt_info_item
     where num_item = 2083 and
           num_remessa = remessa and
           num_lote = lote;
     
     select SUM(num_quantidade_item) into q2085
     from egt_info_item
     where num_item = 2085 and
           num_remessa = remessa and
           num_lote = lote;
           
     select SUM(num_quantidade_item) into q2087
     from egt_info_item
     where num_item = 2087 and
           num_remessa = remessa and
           num_lote = lote;
           
     select SUM(num_quantidade_item) into q2089
     from egt_info_item
     where num_item = 2089 and
           num_remessa = remessa and
           num_lote = lote; 
     
     select SUM(num_quantidade_item) into q2091
     from egt_info_item
     where num_item = 2091 and
           num_remessa = remessa and
           num_lote = lote; 
                      
     if (q2083 > q2082) then
        dbms_output.put_line ('Violao do vnculo de quantidade do item 2083! Diferena: ' || q2083 - q2082 || CHR(10) || CHR(10));
     else
        dbms_output.put_line ('Vnculo de quantidade do item 2083 validado!' || CHR(10) || CHR(10));
     end if;   
     
     if (q2085 > q2082) then
        dbms_output.put_line ('Violao do vnculo de quantidade do item 2085! Diferena: ' || q2085 - q2082 || CHR(10) || CHR(10));
     else
        dbms_output.put_line ('Vnculo de quantidade do item 2085 validado!' || CHR(10) || CHR(10));
     end if;   
     
     if (q2087 > q2082) then
        dbms_output.put_line ('Violao do vnculo de quantidade do item 2087! Diferena: ' || q2087 - q2082 || CHR(10) || CHR(10));
     else
        dbms_output.put_line ('Vnculo de quantidade do item 2087 validado!' || CHR(10) || CHR(10));
     end if;   
     
     if (q2089 > q2082) then
        dbms_output.put_line ('Violao do vnculo de quantidade do item 2089! Diferena: ' || q2089 - q2082 || CHR(10) || CHR(10));
     else
        dbms_output.put_line ('Vnculo de quantidade do item 2089 validado!' || CHR(10) || CHR(10));
     end if;   
     
     if (q2091 > q2082) then
        dbms_output.put_line ('Violao do vnculo de quantidade do item 2091! Diferena: ' || q2091 - q2082 || CHR(10) || CHR(10));
     else
        dbms_output.put_line ('Vnculo de quantidade do item 2091 validado!' || CHR(10) || CHR(10));
     end if;   
  end;       
   
 --------------------------------------------------------------------------------   
  /* Validao do vnculo do item: 2.111.
   A quantidade do item deve ser menor ou igual a soma dos itens 2.034 e 2.040.*/
  declare
  q2111 number(10) := 0;
  
  begin

     select SUM(num_quantidade_item) into qSoma
     from egt_info_item
     where num_item in (2034, 2040)  and
           num_remessa = remessa and
           num_lote = lote;

     select SUM(num_quantidade_item) into q2111
     from egt_info_item
     where num_item = 2111 and
           num_remessa = remessa and
           num_lote = lote;
           
     if (q2111 > qSoma) then
        resultado := q2111 - qSoma;
        dbms_output.put_line ('Violao do vnculo de quantidade(2) do item 2111! Diferena: ' || resultado || CHR(10) || CHR(10));
     else
        dbms_output.put_line ('Vnculo de quantidade(2) do item 2111 validado!' || CHR(10) || CHR(10));
     end if;   
  end; 
    
 --------------------------------------------------------------------------------  
  /* Validao do vnculo do item: 2.098.
   A quantidade do item deve ser igual a soma dos itens 2.099, 2.101, 2.103, 2.105 e 2.107.*/
  declare
  q2098 number(10) := 0;
  resultado number(10) := 0;
   
  begin

     select SUM(num_quantidade_item) into qSoma
     from egt_info_item
     where num_item in (2099, 2101, 2103, 2105, 2107)  and
           num_remessa = remessa and
           num_lote = lote;
 
     select SUM(num_quantidade_item) into q2098
     from egt_info_item
     where num_item = 2098 and
           num_remessa = remessa and
           num_lote = lote;      
           
     if (q2098 <> qSoma) then
        resultado := q2098 - qSoma;
        dbms_output.put_line ('Violao do vnculo de quantidade(2) do item 2098! Diferena: '|| resultado || CHR(10) || CHR(10));   
     else        
        dbms_output.put_line ('Vnculo de quantidade(2) do item 2098 validado!' || CHR(10) || CHR(10));
     end if;   
  end;    
end;


