/* 

Script para validar as Regras No Temporais - rea Administrativa - e_Gesto 2o grau.

Validao da regra:
- Todos os campos definidos nos itens como obrigatrios no podem estar nulos


Desenvolvido por Lucas Aranha Barreto (lucas.barreto@trt1.jus.br)
STI - CGSP (Coordenadoria de Gesto de Sistemas e Portal)
TRT 1 Regio - RJ 
--------------------------------------------------------------------------------
*/

/*
  Esse script foi estruturado da mesma maneira que o script RNT_Jud_campos_obrigatrios da
  rea judiciria, primeiro um comentrio com um conjunto de campos obrigatrios
  e logo em seguida a verificao dos itens que devem ter esses campos no nulos */

DECLARE
remessa NUMBER(10) := 20021; --<< PREENCHER: nmero da remessa a ser validada
lote NUMBER (2) := 1;        --<< PREENCHER: nmero do lote a ser validado

BEGIN
-----------------------------------------------------------------------------------------------
/* Verificao dos campos obrigatrios: COD_LOTACAO, COD_CARREIRA, COD_AREA, COD_ESPECIALIDADE */

   dbms_output.put_line('Pessoas com o atributo COD_LOTACAO nulo:' || CHR(10) || CHR(10) ||
                        'NUM_PESSOA          NUM_ITEM           NOM_PESSOA');

   FOR resultado IN (select infp.NUM_PESSOA, infp.NUM_ITEM, p.NOM_PESSOA
                     from egt_info_pessoa infp, egt_pessoa p
                     where infp.num_pessoa = p.num_pessoa
                     and NUM_ITEM in (2035,2036,2037,2038,2039,2040) 
                     and NUM_REMESSA = remessa and NUM_LOTE = lote 
                     and COD_LOTACAO is NULL) 
       LOOP
       dbms_output.put_line(resultado.NUM_PESSOA || '               ' || resultado.NUM_ITEM || '               ' || resultado.NOM_PESSOA);
       END LOOP;
       dbms_output.put_line('-----               ----'|| CHR(10) || CHR(10));
   
   dbms_output.put_line('Pessoas com o atributo COD_CARREIRA nulo:' || CHR(10) || CHR(10) ||
                        'NUM_PESSOA          NUM_ITEM           NOM_PESSOA');

   FOR resultado IN (select infp.NUM_PESSOA, infp.NUM_ITEM, p.NOM_PESSOA
                     from egt_info_pessoa infp, egt_pessoa p
                     where infp.num_pessoa = p.num_pessoa
                     and NUM_ITEM in (2035,2036,2037,2038,2039,2040) 
                     and NUM_REMESSA = remessa and NUM_LOTE = lote 
                     and COD_CARREIRA is NULL) 
       LOOP
       dbms_output.put_line(resultado.NUM_PESSOA || '               ' || resultado.NUM_ITEM || '               ' || resultado.NOM_PESSOA);
       END LOOP;
       dbms_output.put_line('-----               ----'|| CHR(10) || CHR(10));
       
   dbms_output.put_line('Pessoas com o atributo COD_AREA nulo:' || CHR(10) || CHR(10) ||
                        'NUM_PESSOA          NUM_ITEM           NOM_PESSOA');

   FOR resultado IN (select infp.NUM_PESSOA, infp.NUM_ITEM, p.NOM_PESSOA
                     from egt_info_pessoa infp, egt_pessoa p
                     where infp.num_pessoa = p.num_pessoa
                     and NUM_ITEM in (2035,2036,2037,2038,2039,2040) 
                     and NUM_REMESSA = remessa and NUM_LOTE = lote 
                     and COD_AREA is NULL) 
       LOOP
       dbms_output.put_line(resultado.NUM_PESSOA || '               ' || resultado.NUM_ITEM || '               ' || resultado.NOM_PESSOA);
       END LOOP;
       dbms_output.put_line('-----               ----'|| CHR(10) || CHR(10)); 
       
   dbms_output.put_line('Pessoas com o atributo COD_ESPECIALIDADE nulo:' || CHR(10) || CHR(10) ||
                        'NUM_PESSOA          NUM_ITEM           NOM_PESSOA');

   FOR resultado IN (select infp.NUM_PESSOA, infp.NUM_ITEM, p.NOM_PESSOA
                     from egt_info_pessoa infp, egt_pessoa p
                     where infp.num_pessoa = p.num_pessoa
                     and NUM_ITEM in (2035,2036,2037,2038,2039,2040) 
                     and NUM_REMESSA = remessa and NUM_LOTE = lote 
                     and COD_ESPECIALIDADE is NULL) 
       LOOP
       dbms_output.put_line(resultado.NUM_PESSOA || '               ' || resultado.NUM_ITEM || '               ' || resultado.NOM_PESSOA);
       END LOOP;
       dbms_output.put_line('-----               ----'|| CHR(10) || CHR(10));  
       
-----------------------------------------------------------------------------------------------
/* Verificao dos campos obrigatrios: COD_CARREIRA */

   dbms_output.put_line('Pessoas com o atributo COD_CARREIRA nulo:' || CHR(10) || CHR(10) ||
                        'NUM_PESSOA          NUM_ITEM           NOM_PESSOA');

   FOR resultado IN (select infp.NUM_PESSOA, infp.NUM_ITEM, p.NOM_PESSOA
                     from egt_info_pessoa infp, egt_pessoa p
                     where infp.num_pessoa = p.num_pessoa
                     and NUM_ITEM in (2041,2042) 
                     and NUM_REMESSA = remessa and NUM_LOTE = lote 
                     and COD_CARREIRA is NULL) 
       LOOP
       dbms_output.put_line(resultado.NUM_PESSOA || '               ' || resultado.NUM_ITEM || '               ' || resultado.NOM_PESSOA);
       END LOOP;
       dbms_output.put_line('-----               ----'|| CHR(10) || CHR(10));
       
       
-----------------------------------------------------------------------------------------------
/* Verificao dos campos obrigatrios: COD_LOTACAO */

   dbms_output.put_line('Pessoas com o atributo COD_LOTACAO nulo:' || CHR(10) || CHR(10) ||
                        'NUM_PESSOA          NUM_ITEM           NOM_PESSOA');

   FOR resultado IN (select infp.NUM_PESSOA, infp.NUM_ITEM, p.NOM_PESSOA
                     from egt_info_pessoa infp, egt_pessoa p
                     where infp.num_pessoa = p.num_pessoa
                     and NUM_ITEM in (2069,2070,2071,2072,2073,2074) 
                     and NUM_REMESSA = remessa and NUM_LOTE = lote 
                     and COD_LOTACAO is NULL) 
       LOOP
       dbms_output.put_line(resultado.NUM_PESSOA || '               ' || resultado.NUM_ITEM || '               ' || resultado.NOM_PESSOA);
       END LOOP;
       dbms_output.put_line('-----               ----'|| CHR(10) || CHR(10)); 
       
-----------------------------------------------------------------------------------------------
/* Verificao dos campos obrigatrios: COD_LOTACAO, COD_FUNCAO */

   dbms_output.put_line('Pessoas com o atributo COD_LOTACAO nulo:' || CHR(10) || CHR(10) ||
                        'NUM_PESSOA          NUM_ITEM           NOM_PESSOA');

   FOR resultado IN (select infp.NUM_PESSOA, infp.NUM_ITEM, p.NOM_PESSOA
                     from egt_info_pessoa infp, egt_pessoa p
                     where infp.num_pessoa = p.num_pessoa
                     and NUM_ITEM in (2045,2046,2047,2048,2049,2050,2053,2054,2055,2056,
                                        2057,2058,2061,2062,2063,2064,2065,2066,2084,2086,
                                        2088,2090,2092,2094,2100,2102,2104,2106,2108,2110) 
                     and NUM_REMESSA = remessa and NUM_LOTE = lote 
                     and COD_LOTACAO is NULL) 
       LOOP
       dbms_output.put_line(resultado.NUM_PESSOA || '               ' || resultado.NUM_ITEM || '               ' || resultado.NOM_PESSOA);
       END LOOP;
       dbms_output.put_line('-----               ----'|| CHR(10) || CHR(10));           
       
    dbms_output.put_line('Pessoas com o atributo COD_FUNCAO nulo:' || CHR(10) || CHR(10) ||
                        'NUM_PESSOA          NUM_ITEM           NOM_PESSOA');

   FOR resultado IN (select infp.NUM_PESSOA, infp.NUM_ITEM, p.NOM_PESSOA
                     from egt_info_pessoa infp, egt_pessoa p
                     where infp.num_pessoa = p.num_pessoa
                     and NUM_ITEM in (2045,2046,2047,2048,2049,2050,2053,2054,2055,2056,
                                        2057,2058,2061,2062,2063,2064,2065,2066,2084,2086,
                                        2088,2090,2092,2094,2100,2102,2104,2106,2108,2110) 
                     and NUM_REMESSA = remessa and NUM_LOTE = lote 
                     and COD_FUNCAO is NULL) 
       LOOP
       dbms_output.put_line(resultado.NUM_PESSOA || '               ' || resultado.NUM_ITEM || '               ' || resultado.NOM_PESSOA);
       END LOOP;
       dbms_output.put_line('-----               ----'|| CHR(10) || CHR(10));      
END;     
