/* 

Script para validar as Regras Temporais do e_Gesto 2o grau.

Desenvolvido por Alana Bueno Otsuka (alana.otsuka@trt1.jus.br)
STI - CGSP (Coordenadoria de Gesto de Sistemas e Portal)
TRT 1 Regio - RJ 
-----------------------------------------------------------------------------
*/

declare 
remessa number(10) := 20020;           --<< PREENCHER: nmero da remessa a ser validada
remessa_anterior number(10) := 20019;  --<< PREENCHER: nmero da remessa anterior
lote number(10) := 01;                 --<< PREENCHER: nmero do lote a ser validado
lote_anterior number(10) := 01;        --<< PREENCHER: nmero do lote anterior
regra number(10) := 0;

begin

dbms_output.put_line('*** REGRAS TEMPORAIS DE VALIDAO DOS ITENS DO E-GESTO 2o GRAU ***' || CHR(10));

---------------------------------------------------------------------------------
/* Regra Temporal do Ministrio Pblico do Trabalho */

-- variveis para armazenar os quantitativos dos itens
declare
q2134_anterior number(10) := 0;
q2135_anterior number(10) := 0;
q2128 number(10) := 0;
q2130 number(10) := 0;
q32134 number(10) := 0;
q42134 number(10) := 0;
q32135 number(10) := 0;
q42135 number(10) := 0;
q2134 number(10) := 0;
q2135 number(10) := 0;

begin

   select count(*) into q2134_anterior from egt_info_processo 
          where num_item = 2134 and num_remessa = remessa_anterior and num_lote = lote_anterior;

   select count(*) into q2135_anterior from egt_info_processo 
          where num_item = 2135 and num_remessa = remessa_anterior and num_lote = lote_anterior;

   select count(*) into q2128 from egt_info_processo 
          where num_item = 2128 and num_remessa = remessa and num_lote = lote;
   
   select count(*) into q2130 from egt_info_processo 
          where num_item = 2130 and num_remessa = remessa and num_lote = lote;

   select count(*) into q32134 from egt_info_processo 
          where num_item = 32134 and num_remessa = remessa and num_lote = lote;

   select count(*) into q42134 from egt_info_processo 
          where num_item = 42134 and num_remessa = remessa and num_lote = lote;

   select count(*) into q32135 from egt_info_processo 
          where num_item = 32135 and num_remessa = remessa and num_lote = lote;
   
   select count(*) into q42135 from egt_info_processo 
          where num_item = 42135 and num_remessa = remessa and num_lote = lote;

   select count(*) into q2134 from egt_info_processo 
          where num_item = 2134 and num_remessa = remessa and num_lote = lote;
   
   select count(*) into q2135 from egt_info_processo 
          where num_item = 2135 and num_remessa = remessa and num_lote = lote;
   
   -- aplicao da regra
   regra := ((q2134 + q2135) - 
            ((q2134_anterior + q2135_anterior) + q2128 - q2130 +
            (q32134 - q42134 + q32135 - q42135)));
   
   
   if (regra <> 0) then
      dbms_output.put_line ('Violao da regra temporal do Ministrio pblico do Trabalho! Diferena: ' || regra || CHR(10));
   else
      dbms_output.put_line ('Regra temporal do Ministrio pblico do trabalho validada!' || CHR(10));
   end if;   
end;

---------------------------------------------------------------------------------
/* Regra Temporal do Relator */

-- variveis para armazenar os quantitativos dos itens
declare
q2159_anterior number(10) := 0;
q2160_anterior number(10) := 0;
q2161_anterior number(10) := 0;
q2147 number(10) := 0;
q2148 number(10) := 0;
q2150 number(10) := 0;
q2151 number(10) := 0;
q2152 number(10) := 0;
q2153 number(10) := 0;
q2154 number(10) := 0;
q2155 number(10) := 0;
q2156 number(10) := 0;
q2157 number(10) := 0;
q32159 number(10) := 0;
q42159 number(10) := 0;
q32160 number(10) := 0;
q42160 number(10) := 0;
q32161 number(10) := 0;
q42161 number(10) := 0;
q2159 number(10) := 0;
q2160 number(10) := 0;
q2161 number(10) := 0;

begin
   select count(*) into q2159_anterior from egt_info_processo 
          where num_item = 2159 and num_remessa = remessa_anterior and num_lote = lote_anterior;

   select count(*) into q2160_anterior from egt_info_processo 
          where num_item = 2160 and num_remessa = remessa_anterior and num_lote = lote_anterior;

   select count(*) into q2161_anterior from egt_info_processo 
          where num_item = 2161 and num_remessa = remessa_anterior and num_lote = lote_anterior;

   select count(*) into q2147 from egt_info_processo 
          where num_item = 2147 and num_remessa = remessa and num_lote = lote;
   
   select count(*) into q2148 from egt_info_processo 
          where num_item = 2148 and num_remessa = remessa and num_lote = lote;

   select count(*) into q2150 from egt_info_processo 
          where num_item = 2150 and num_remessa = remessa and num_lote = lote;
   
   select count(*) into q2151 from egt_info_processo 
          where num_item = 2151 and num_remessa = remessa and num_lote = lote;

   select count(*) into q2152 from egt_info_processo 
          where num_item = 2152 and num_remessa = remessa and num_lote = lote;

   select count(*) into q2153 from egt_info_processo 
          where num_item = 2153 and num_remessa = remessa and num_lote = lote;
   
   select count(*) into q2154 from egt_info_processo 
          where num_item = 2154 and num_remessa = remessa and num_lote = lote;
   
   select count(*) into q2155 from egt_info_processo 
          where num_item = 2155 and num_remessa = remessa and num_lote = lote;
   
   select count(*) into q2156 from egt_info_processo 
          where num_item = 2156 and num_remessa = remessa and num_lote = lote;
   
   select count(*) into q2157 from egt_info_processo 
          where num_item = 2157 and num_remessa = remessa and num_lote = lote;

   select count(*) into q32159 from egt_info_processo 
          where num_item = 32159 and num_remessa = remessa and num_lote = lote;

   select count(*) into q42159 from egt_info_processo 
          where num_item = 42159 and num_remessa = remessa and num_lote = lote;

   select count(*) into q32160 from egt_info_processo 
          where num_item = 32160 and num_remessa = remessa and num_lote = lote;
   
   select count(*) into q42160 from egt_info_processo 
          where num_item = 42160 and num_remessa = remessa and num_lote = lote;

   select count(*) into q32161 from egt_info_processo 
          where num_item = 32161 and num_remessa = remessa and num_lote = lote;
   
   select count(*) into q42161 from egt_info_processo 
          where num_item = 42161 and num_remessa = remessa and num_lote = lote;

   select count(*) into q2159 from egt_info_processo 
          where num_item = 2159 and num_remessa = remessa and num_lote = lote;
   
   select count(*) into q2160 from egt_info_processo 
          where num_item = 2160 and num_remessa = remessa and num_lote = lote;
   
   select count(*) into q2161 from egt_info_processo 
          where num_item = 2161 and num_remessa = remessa and num_lote = lote;

   -- aplicao da regra
   regra := ((q2159 + q2160 + q2161) - 
            ((q2159_anterior + q2160_anterior + q2161_anterior) + (q2147 + q2148) -
            (q2150 + q2151 + q2152 + q2153 + q2154 + q2155 + q2156 + q2157) +
            (q32159 - q42159 + q32160 - q42160 + q32161 - q42161)));
      
   if  (regra <> 0) then
      dbms_output.put_line ('Violao da regra temporal do Relator! Diferena: ' || regra || CHR(10));
   else
      dbms_output.put_line ('Regra temporal do Relator validada!' || CHR(10));
   end if;   
end;

---------------------------------------------------------------------------------
/* Regra Temporal de processos com Pedido de Vista Regimental */

-- variveis para armazenar os quantitativos dos itens
declare
q2168_anterior number(10) := 0;
q2169_anterior number(10) := 0;
q2164 number(10) := 0;
q2166 number(10) := 0;
q32168 number(10) := 0;
q42168 number(10) := 0;
q32169 number(10) := 0;
q42169 number(10) := 0;
q2168 number(10) := 0;
q2169 number(10) := 0;

begin
   select count(*) into q2168_anterior from egt_info_processo 
          where num_item = 2168 and num_remessa = remessa_anterior and num_lote = lote_anterior;

   select count(*) into q2169_anterior from egt_info_processo 
          where num_item = 2169 and num_remessa = remessa_anterior and num_lote = lote_anterior;

   select count(*) into q2164 from egt_info_processo 
          where num_item = 2164 and num_remessa = remessa and num_lote = lote;
   
   select count(*) into q2166 from egt_info_processo 
          where num_item = 2166 and num_remessa = remessa and num_lote = lote;

   select count(*) into q32168 from egt_info_processo 
          where num_item = 32168 and num_remessa = remessa and num_lote = lote;

   select count(*) into q42168 from egt_info_processo 
          where num_item = 42168 and num_remessa = remessa and num_lote = lote;

   select count(*) into q32169 from egt_info_processo 
          where num_item = 32169 and num_remessa = remessa and num_lote = lote;
   
   select count(*) into q42169 from egt_info_processo 
          where num_item = 42169 and num_remessa = remessa and num_lote = lote;

   select count(*) into q2168 from egt_info_processo 
          where num_item = 2168 and num_remessa = remessa and num_lote = lote;
   
   select count(*) into q2169 from egt_info_processo 
          where num_item = 2169 and num_remessa = remessa and num_lote = lote;
   
   -- aplicao da regra
   regra := ((q2168 + q2169) - 
            ((q2168_anterior + q2169_anterior) + q2164 - q2166 +
            (q32168 - q42168 + q32169 - q42169)));
   
   if (regra <> 0) then
      dbms_output.put_line ('Violao da regra temporal de Processos com pedido de vista regimental! Diferena: ' || regra || CHR(10));
   else
      dbms_output.put_line ('Regra temporal de Processos com pedido de vista regimental validada!' || CHR(10));
   end if;   
end;

------------------------------------------------------------------------------------------------------
/* Regra Temporal do Revisor */

-- variveis para armazenar os quantitativos dos itens
declare
q2179_anterior number(10) := 0;
q2180_anterior number(10) := 0;
q2172 number(10) := 0;
q2174 number(10) := 0;
q2175 number(10) := 0;
q2176 number(10) := 0;
q2177 number(10) := 0;
q32179 number(10) := 0;
q42179 number(10) := 0;
q32180 number(10) := 0;
q42180 number(10) := 0;
q2179 number(10) := 0;
q2180 number(10) := 0;

begin
   select count(*) into q2179_anterior from egt_info_processo 
          where num_item = 2179 and num_remessa = remessa_anterior and num_lote = lote_anterior;

   select count(*) into q2180_anterior from egt_info_processo 
          where num_item = 2180 and num_remessa = remessa_anterior and num_lote = lote_anterior;

   select count(*) into q2172 from egt_info_processo 
          where num_item = 2172 and num_remessa = remessa and num_lote = lote;

   select count(*) into q2174 from egt_info_processo 
          where num_item = 2174 and num_remessa = remessa and num_lote = lote;
   
   select count(*) into q2175 from egt_info_processo 
          where num_item = 2175 and num_remessa = remessa and num_lote = lote;

   select count(*) into q2176 from egt_info_processo 
          where num_item = 2176 and num_remessa = remessa and num_lote = lote;
   
   select count(*) into q2177 from egt_info_processo 
          where num_item = 2177 and num_remessa = remessa and num_lote = lote;

   select count(*) into q32179 from egt_info_processo 
          where num_item = 32179 and num_remessa = remessa and num_lote = lote;

   select count(*) into q42179 from egt_info_processo 
          where num_item = 42179 and num_remessa = remessa and num_lote = lote;
   
   select count(*) into q32180 from egt_info_processo 
          where num_item = 32180 and num_remessa = remessa and num_lote = lote;
   
   select count(*) into q42180 from egt_info_processo 
          where num_item = 42180 and num_remessa = remessa and num_lote = lote;
   
   select count(*) into q2179 from egt_info_processo 
          where num_item = 2179 and num_remessa = remessa and num_lote = lote;
   
   select count(*) into q2180 from egt_info_processo 
          where num_item = 2180 and num_remessa = remessa and num_lote = lote;
   
   -- aplicao da regra
   regra := ((q2179 + q2180) -
            ((q2179_anterior + q2180_anterior) + (q2172) -
            (q2174 + q2175 + q2176 + q2177) +
            (q32179 - q42179 + q32180 - q42180)));
      
   if  (regra <> 0) then
      dbms_output.put_line ('Violao da regra temporal do Revisor! Diferena: ' || regra || CHR(10));
   else
      dbms_output.put_line ('Regra temporal do Revisor validada!' || CHR(10));
   end if;   
end;

------------------------------------------------------------------------------------------------------
/* Regra Temporal de Lavratura de Acrdos */

-- variveis para armazenar os quantitativos dos itens
declare
q2210_anterior number(10) := 0;
q2211_anterior number(10) := 0;
q2204 number(10) := 0;
q2206 number(10) := 0;
q2207 number(10) := 0;
q32210 number(10) := 0;
q42210 number(10) := 0;
q32211 number(10) := 0;
q42211 number(10) := 0;
q2210 number(10) := 0;
q2211 number(10) := 0;

begin
   select count(*) into q2210_anterior from egt_info_processo 
          where num_item = 2210 and num_remessa = remessa_anterior and num_lote = lote_anterior;

   select count(*) into q2211_anterior from egt_info_processo 
          where num_item = 2211 and num_remessa = remessa_anterior and num_lote = lote_anterior;

   select count(*) into q2204 from egt_info_processo 
          where num_item = 2204 and num_remessa = remessa and num_lote = lote;
   
   select count(*) into q2206 from egt_info_processo 
          where num_item = 2206 and num_remessa = remessa and num_lote = lote;

   select count(*) into q2207 from egt_info_processo 
          where num_item = 2207 and num_remessa = remessa and num_lote = lote;

   select count(*) into q32210 from egt_info_processo 
          where num_item = 32210 and num_remessa = remessa and num_lote = lote;

   select count(*) into q42210 from egt_info_processo 
          where num_item = 42210 and num_remessa = remessa and num_lote = lote;

   select count(*) into q32211 from egt_info_processo 
          where num_item = 32211 and num_remessa = remessa and num_lote = lote;
   
   select count(*) into q42211 from egt_info_processo 
          where num_item = 42211 and num_remessa = remessa and num_lote = lote;

   select count(*) into q2210 from egt_info_processo 
          where num_item = 2210 and num_remessa = remessa and num_lote = lote;
   
   select count(*) into q2211 from egt_info_processo 
          where num_item = 2211 and num_remessa = remessa and num_lote = lote;
   
   -- aplicao da regra
   regra := ((q2210 + q2211) -
            ((q2210_anterior + q2211_anterior) + q2204 -
            (q2206 + q2207) + 
            (q32210 - q42210 + q32211 - q42211)));
   
   if (regra <> 0) then
      dbms_output.put_line ('Violao da regra temporal de Lavratura de Acrdos! Diferena: ' || regra || CHR(10));
   else
      dbms_output.put_line ('Regra temporal de Lavratura de Acrdos validada!' || CHR(10));
   end if;   
end;

------------------------------------------------------------------------------------------------------
/* Regra Temporal de Baixa */

-- variveis para armazenar os quantitativos dos itens
declare
q2224_anterior number(10) := 0;
q2121 number(10) := 0;
q2123 number(10) := 0;
q2124 number(10) := 0;
q2220 number(10) := 0;
q2221 number(10) := 0;
q2222 number(10) := 0;
q32224 number(10) := 0;
q42224 number(10) := 0;
q2224 number(10) := 0;


begin
   select count(*) into q2224_anterior from egt_info_processo 
          where num_item = 2224 and num_remessa = remessa_anterior and num_lote = lote_anterior;

   select count(*) into q2121 from egt_info_processo          
          where num_item = 2121 and num_remessa = remessa and num_lote = lote;

   select count(*) into q2123 from egt_info_processo 
          where num_item = 2123 and num_remessa = remessa and num_lote = lote;
   
   select count(*) into q2124 from egt_info_processo 
          where num_item = 2124 and num_remessa = remessa and num_lote = lote;

   select count(*) into q2220 from egt_info_processo 
          where num_item = 2220 and num_remessa = remessa and num_lote = lote;

   select count(*) into q2221 from egt_info_processo 
          where num_item = 2221 and num_remessa = remessa and num_lote = lote;
   
   select count(*) into q2222 from egt_info_processo 
          where num_item = 2222 and num_remessa = remessa and num_lote = lote;

   select count(*) into q32224 from egt_info_processo 
          where num_item = 32224 and num_remessa = remessa and num_lote = lote;

   select count(*) into q42224 from egt_info_processo 
          where num_item = 42224 and num_remessa = remessa and num_lote = lote;

   select count(*) into q2224 from egt_info_processo 
          where num_item = 2224 and num_remessa = remessa and num_lote = lote; 
   
   -- aplicao da regra
   regra := (q2224 -
            (q2224_anterior + (q2121 + q2123 + q2124) -
            (q2220 + q2221 + q2222) + 
            (q32224 - q42224)));
   
   if (regra <> 0) then
      dbms_output.put_line ('Violao da regra temporal de Baixa! Diferena: ' || regra || CHR(10));
   else
      dbms_output.put_line ('Regra temporal de Baixa validada!' || CHR(10));
   end if;   
end;

------------------------------------------------------------------------------------------------------
/* Regra Temporal da Presidncia */

-- variveis para armazenar os quantitativos dos itens
declare
q2253_anterior number(10) := 0;
q2250 number(10) := 0;
q2251 number(10) := 0;
q2252 number(10) := 0;
q32253 number(10) := 0;
q42253 number(10) := 0;
q2253 number(10) := 0;

begin
   select count(*) into q2253_anterior from egt_info_processo 
          where num_item = 2253 and num_remessa = remessa_anterior and num_lote = lote_anterior;

   select count(*) into q2250 from egt_info_processo 
          where num_item = 2250 and num_remessa = remessa and num_lote = lote;
   
   select count(*) into q2251 from egt_info_processo 
          where num_item = 2251 and num_remessa = remessa and num_lote = lote;

   select count(*) into q2252 from egt_info_processo 
          where num_item = 2252 and num_remessa = remessa and num_lote = lote;

   select count(*) into q32253 from egt_info_processo 
          where num_item = 32253 and num_remessa = remessa and num_lote = lote;

   select count(*) into q42253 from egt_info_processo 
          where num_item = 42253 and num_remessa = remessa and num_lote = lote;

   select count(*) into q2253 from egt_info_processo 
          where num_item = 2253 and num_remessa = remessa and num_lote = lote;
   
   -- aplicao da regra
   regra := (q2253 - 
            (q2253_anterior + q2250 - (q2251 + q2252) + 
            (q32253 - q42253)));
   
   if (regra <> 0) then
      dbms_output.put_line ('Violao da regra temporal da Presidncia! Diferena: ' || regra || CHR(10));
   else
      dbms_output.put_line ('Regra temporal da Presidncia validada!' || CHR(10));
   end if;   
end;

------------------------------------------------------------------------------------------------------
/* Regra Temporal da Corregedoria */

-- variveis para armazenar os quantitativos dos itens
declare
q2263_anterior number(10) := 0;
q2261 number(10) := 0;
q2262 number(10) := 0;
q32263 number(10) := 0;
q42263 number(10) := 0;
q2263 number(10) := 0;

begin
   select count(*) into q2263_anterior from egt_info_processo 
          where num_item = 2263 and num_remessa = remessa_anterior and num_lote = lote_anterior;

   select count(*) into q2261 from egt_info_processo 
          where num_item = 2261 and num_remessa = remessa and num_lote = lote;
   
   select count(*) into q2262 from egt_info_processo 
          where num_item = 2262 and num_remessa = remessa and num_lote = lote;

   select count(*) into q32263 from egt_info_processo 
          where num_item = 32263 and num_remessa = remessa and num_lote = lote;

   select count(*) into q42263 from egt_info_processo 
          where num_item = 42263 and num_remessa = remessa and num_lote = lote;

   select count(*) into q2263 from egt_info_processo 
          where num_item = 2263 and num_remessa = remessa and num_lote = lote;
   
   -- aplicao da regra
   regra := (q2263 -
            (q2263_anterior + q2261 - q2262 + 
            (q32263 - q42263)));
   
   if (regra <> 0) then
      dbms_output.put_line ('Violao da regra temporal da Corregedoria! Diferena: ' || regra || CHR(10));
   else
      dbms_output.put_line ('Regra temporal da Corregedoria validada!' || CHR(10));
   end if;   
end;

------------------------------------------------------------------------------------------------------
/* Regra Temporal de Recursos de Revista */

-- variveis para armazenar os quantitativos dos itens
declare
q2274_anterior number(10) := 0;
q2275_anterior number(10) := 0;
q2269 number(10) := 0;
q2271 number(10) := 0;
q2272 number(10) := 0;
q2273 number(10) := 0;
q32274 number(10) := 0;
q42274 number(10) := 0;
q32275 number(10) := 0;
q42275 number(10) := 0;
q2274 number(10) := 0;
q2275 number(10) := 0;

begin
   select count(*) into q2274_anterior from egt_info_processo 
          where num_item = 2274 and num_remessa = remessa_anterior and num_lote = lote_anterior;

   select count(*) into q2275_anterior from egt_info_processo 
          where num_item = 2275 and num_remessa = remessa_anterior and num_lote = lote_anterior;

   select count(*) into q2269 from egt_info_processo 
          where num_item = 2269 and num_remessa = remessa and num_lote = lote;
   
   select count(*) into q2271 from egt_info_processo 
          where num_item = 2271 and num_remessa = remessa and num_lote = lote;

   select count(*) into q2272 from egt_info_processo 
          where num_item = 2272 and num_remessa = remessa and num_lote = lote;

   select count(*) into q2273 from egt_info_processo 
          where num_item = 2273 and num_remessa = remessa and num_lote = lote;
   
   select count(*) into q32274 from egt_info_processo 
          where num_item = 32274 and num_remessa = remessa and num_lote = lote;

   select count(*) into q42274 from egt_info_processo 
          where num_item = 42274 and num_remessa = remessa and num_lote = lote;

   select count(*) into q32275 from egt_info_processo 
          where num_item = 32275 and num_remessa = remessa and num_lote = lote;
   
   select count(*) into q42275 from egt_info_processo 
          where num_item = 42275 and num_remessa = remessa and num_lote = lote;

   select count(*) into q2274 from egt_info_processo 
          where num_item = 2274 and num_remessa = remessa and num_lote = lote;
   
   select count(*) into q2275 from egt_info_processo 
          where num_item = 2275 and num_remessa = remessa and num_lote = lote;
   
   -- aplicao da regra
   regra := ((q2274 + q2275) -
            ((q2274_anterior + q2275_anterior) + (q2269) -
            (q2271 + q2272 + q2273) + 
            (q32274 - q42274 + q32275 - q42275)));
   
   if (regra <> 0) then
      dbms_output.put_line ('Violao da regra temporal de Recursos de Revista! Diferena: ' || regra || CHR(10));
   else
      dbms_output.put_line ('Regra temporal de Recursos de Revista validada!' || CHR(10));
   end if;   
end;

------------------------------------------------------------------------------------------------------
/* Regra Temporal de Recursos Ordinrios */

-- variveis para armazenar os quantitativos dos itens
declare
q2282_anterior number(10) := 0;
q2283_anterior number(10) := 0;
q2277 number(10) := 0;
q2279 number(10) := 0;
q2280 number(10) := 0;
q2281 number(10) := 0;
q32282 number(10) := 0;
q42282 number(10) := 0;
q32283 number(10) := 0;
q42283 number(10) := 0;
q2282 number(10) := 0;
q2283 number(10) := 0;

begin
   select count(*) into q2282_anterior from egt_info_processo 
          where num_item = 2282 and num_remessa = remessa_anterior and num_lote = lote_anterior;

   select count(*) into q2283_anterior from egt_info_processo 
          where num_item = 2283 and num_remessa = remessa_anterior and num_lote = lote_anterior;

   select count(*) into q2277 from egt_info_processo 
          where num_item = 2277 and num_remessa = remessa and num_lote = lote;
   
   select count(*) into q2279 from egt_info_processo 
          where num_item = 2279 and num_remessa = remessa and num_lote = lote;

   select count(*) into q2280 from egt_info_processo 
          where num_item = 2280 and num_remessa = remessa and num_lote = lote;

   select count(*) into q2281 from egt_info_processo 
          where num_item = 2281 and num_remessa = remessa and num_lote = lote;
   
   select count(*) into q32282 from egt_info_processo 
          where num_item = 32282 and num_remessa = remessa and num_lote = lote;

   select count(*) into q42282 from egt_info_processo 
          where num_item = 42282 and num_remessa = remessa and num_lote = lote;

   select count(*) into q32283 from egt_info_processo 
          where num_item = 32283 and num_remessa = remessa and num_lote = lote;
   
   select count(*) into q42283 from egt_info_processo 
          where num_item = 42283 and num_remessa = remessa and num_lote = lote;

   select count(*) into q2282 from egt_info_processo 
          where num_item = 2282 and num_remessa = remessa and num_lote = lote;
   
   select count(*) into q2283 from egt_info_processo 
          where num_item = 2283 and num_remessa = remessa and num_lote = lote;
   
   -- aplicao da regra
   regra := ((q2282 + q2283) -
            ((q2282_anterior + q2283_anterior) + (q2277) -
            (q2279 + q2280 + q2281) + 
            (q32282 - q42282 + q32283 - q42283)));
   
   if (regra <> 0) then
      dbms_output.put_line ('Violao da regra temporal de Recursos Ordinrios! Diferena: ' || regra || CHR(10));
   else
      dbms_output.put_line ('Regra temporal de Recursos Ordinrios validada!' || CHR(10));
   end if;   
end;

------------------------------------------------------------------------------------------------------
/* Regra Temporal de Precatrios */

-- variveis para armazenar os quantitativos dos itens
declare
q2326_anterior number(10) := 0;
q2327_anterior number(10) := 0;
q2328_anterior number(10) := 0;
q2329_anterior number(10) := 0;
q2319 number(10) := 0;
q2323 number(10) := 0;
q2324 number(10) := 0;
q32326 number(10) := 0;
q42326 number(10) := 0;
q32327 number(10) := 0;
q42327 number(10) := 0;
q32328 number(10) := 0;
q42328 number(10) := 0;
q32329 number(10) := 0;
q42329 number(10) := 0;
q2326 number(10) := 0;
q2327 number(10) := 0;
q2328 number(10) := 0;
q2329 number(10) := 0;

begin
   select count(*) into q2326_anterior from egt_info_processo 
          where num_item = 2326 and num_remessa = remessa_anterior and num_lote = lote_anterior;

   select count(*) into q2327_anterior from egt_info_processo 
          where num_item = 2327 and num_remessa = remessa_anterior and num_lote = lote_anterior;

   select count(*) into q2328_anterior from egt_info_processo 
          where num_item = 2328 and num_remessa = remessa_anterior and num_lote = lote_anterior;

   select count(*) into q2329_anterior from egt_info_processo 
          where num_item = 2329 and num_remessa = remessa_anterior and num_lote = lote_anterior;

   select count(*) into q2319 from egt_info_processo 
          where num_item = 2319 and num_remessa = remessa and num_lote = lote;
   
   select count(*) into q2323 from egt_info_processo 
          where num_item = 2323 and num_remessa = remessa and num_lote = lote;
   
   select count(*) into q2324 from egt_info_processo 
          where num_item = 2324 and num_remessa = remessa and num_lote = lote;
      
   select count(*) into q32326 from egt_info_processo      
          where num_item = 32326 and num_remessa = remessa and num_lote = lote;

   select count(*) into q42326 from egt_info_processo 
          where num_item = 42326 and num_remessa = remessa and num_lote = lote;

   select count(*) into q32327 from egt_info_processo 
          where num_item = 32327 and num_remessa = remessa and num_lote = lote;
   
   select count(*) into q42327 from egt_info_processo 
          where num_item = 42327 and num_remessa = remessa and num_lote = lote;

   select count(*) into q32328 from egt_info_processo 
          where num_item = 32328 and num_remessa = remessa and num_lote = lote;

   select count(*) into q42328 from egt_info_processo 
          where num_item = 42328 and num_remessa = remessa and num_lote = lote;

   select count(*) into q32329 from egt_info_processo 
          where num_item = 32329 and num_remessa = remessa and num_lote = lote;
   
   select count(*) into q42329 from egt_info_processo 
          where num_item = 42329 and num_remessa = remessa and num_lote = lote;

   select count(*) into q2326 from egt_info_processo  
          where num_item = 2326 and num_remessa = remessa and num_lote = lote;
   
   select count(*) into q2327 from egt_info_processo 
          where num_item = 2327 and num_remessa = remessa and num_lote = lote;
   
   select count(*) into q2328 from egt_info_processo 
          where num_item = 2328 and num_remessa = remessa and num_lote = lote;
   
   select count(*) into q2329 from egt_info_processo 
          where num_item = 2329 and num_remessa = remessa and num_lote = lote;
   
   
   -- aplicao da regra
   regra := ((q2326 + q2327 + q2328 + q2329) -
            ((q2326_anterior + q2327_anterior + q2328_anterior + q2329_anterior) +
            (q2319) - (q2323 + q2324) + 
            (q32326 - q42326 + q32327 - q42327 + q32328 - q42328 + q32329 - q42329)));
   
   if (regra <> 0) then
      dbms_output.put_line ('Violao da regra temporal de Precatrios! Diferena: ' || regra || CHR(10));
   else
      dbms_output.put_line ('Regra temporal de Precatrios validada!' || CHR(10));
   end if;   
end;

------------------------------------------------------------------------------------------------------
/* Regra Temporal de Requisio de Pequeno Valor - Unio */

-- variveis para armazenar os quantitativos dos itens
declare
q2345_anterior number(10) := 0;
q2346_anterior number(10) := 0;
q2347_anterior number(10) := 0;
q2348_anterior number(10) := 0;
q2333 number(10) := 0;
q2334 number(10) := 0;
q2336 number(10) := 0;
q2342 number(10) := 0;
q2343 number(10) := 0;
q32345 number(10) := 0;
q42345 number(10) := 0;
q32346 number(10) := 0;
q42346 number(10) := 0;
q32347 number(10) := 0;
q42347 number(10) := 0;
q32348 number(10) := 0;
q42348 number(10) := 0;
q2345 number(10) := 0;
q2346 number(10) := 0;
q2347 number(10) := 0;
q2348 number(10) := 0;

begin
   select count(*) into q2345_anterior from egt_info_processo 
          where num_item = 2345 and num_remessa = remessa_anterior and num_lote = lote_anterior;

   select count(*) into q2346_anterior from egt_info_processo 
          where num_item = 2346 and num_remessa = remessa_anterior and num_lote = lote_anterior;

   select count(*) into q2347_anterior from egt_info_processo 
          where num_item = 2347 and num_remessa = remessa_anterior and num_lote = lote_anterior;

   select count(*) into q2348_anterior from egt_info_processo 
          where num_item = 2348 and num_remessa = remessa_anterior and num_lote = lote_anterior;

   select count(*) into q2333 from egt_info_processo 
          where num_item = 2333 and num_remessa = remessa and num_lote = lote;
   
   select count(*) into q2334 from egt_info_processo 
          where num_item = 2334 and num_remessa = remessa and num_lote = lote;

   select count(*) into q2336 from egt_info_processo 
          where num_item = 2336 and num_remessa = remessa and num_lote = lote;

   select count(*) into q2342 from egt_info_processo 
          where num_item = 2342 and num_remessa = remessa and num_lote = lote;
   
   select count(*) into q2343 from egt_info_processo 
          where num_item = 2343 and num_remessa = remessa and num_lote = lote;
      
   select count(*) into q32345 from egt_info_processo 
          where num_item = 32345 and num_remessa = remessa and num_lote = lote;

   select count(*) into q42345 from egt_info_processo 
          where num_item = 42345 and num_remessa = remessa and num_lote = lote;

   select count(*) into q32346 from egt_info_processo 
          where num_item = 32346 and num_remessa = remessa and num_lote = lote;
   
   select count(*) into q42346 from egt_info_processo 
          where num_item = 42346 and num_remessa = remessa and num_lote = lote;

   select count(*) into q32347 from egt_info_processo 
          where num_item = 32347 and num_remessa = remessa and num_lote = lote;

   select count(*) into q42347 from egt_info_processo 
          where num_item = 42347 and num_remessa = remessa and num_lote = lote;

   select count(*) into q32348 from egt_info_processo 
          where num_item = 32348 and num_remessa = remessa and num_lote = lote;
   
   select count(*) into q42348 from egt_info_processo 
          where num_item = 42348 and num_remessa = remessa and num_lote = lote;

   select count(*) into q2345 from egt_info_processo 
          where num_item = 2345 and num_remessa = remessa and num_lote = lote;
   
   select count(*) into q2346 from egt_info_processo 
          where num_item = 2346 and num_remessa = remessa and num_lote = lote;
   
   select count(*) into q2347 from egt_info_processo 
          where num_item = 2347 and num_remessa = remessa and num_lote = lote;
   
   select count(*) into q2348 from egt_info_processo 
          where num_item = 2348 and num_remessa = remessa and num_lote = lote;
   
   -- aplicao da regra
   regra := ((q2345 + q2346 + q2347 + q2348) -
            ((q2345_anterior + q2346_anterior + q2347_anterior + q2348_anterior) +
            (q2333 + q2334) - (q2336 + q2342 + q2343) + 
            (q32345 - q42345 + q32346 - q42346 + q32347 - q42347 + q32348 - q42348)));
   
   if (regra <> 0) then
      dbms_output.put_line ('Violao da regra temporal de Requisio de Pequeno Valor - Unio! Diferena: ' || regra);
   else
      dbms_output.put_line ('Regra temporal de Requisio de Pequeno Valor - Unio validada!');
   end if;   
end;

end;      


